Mailinglist Archive: zypp-commit (301 mails)

< Previous Next >
[zypp-commit] r7562 - in /trunk/sat-solver/testsuite: ./ data.libzypp/bugzilla-tests/ data.libzypp/distupgrade-tests/ data.libzypp/yast-tests/
  • From: coolo@xxxxxxxxxxxxxxxx
  • Date: Fri, 19 Oct 2007 09:11:30 -0000
  • Message-id: <20071019091130.EEB1626663@xxxxxxxxxxxxxxxx>
Author: coolo
Date: Fri Oct 19 11:11:30 2007
New Revision: 7562

URL: http://svn.opensuse.org/viewcvs/zypp?rev=7562&view=rev
Log:
on the way back to germany, Schubi convinced me that
reimplementing distupgrade is wrong as this is done
in a layer on top of the solver within libzypp (soon to
be named the application layer). So replacing distupgrade
with the list of commands the layer creates for the solver

Modified:
    trunk/sat-solver/testsuite/README.FAILS
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-test.xml
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/exercise-bug150844-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-single-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-version-cap-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-single-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-multiple-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-single-test.xml
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-06upgrade-test.xml

Modified: trunk/sat-solver/testsuite/README.FAILS
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/README.FAILS?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/README.FAILS (original)
+++ trunk/sat-solver/testsuite/README.FAILS Fri Oct 19 11:11:30 2007
@@ -19,14 +19,8 @@
 ./data.libzypp/basic-exercises/exercise-26-test.xml
        promotecho is only enabled for redcarpet
 
-./data.libzypp/bugzilla-tests/bug225218-test.xml
 ./data.libzypp/bugzilla-tests/bug308098-test.xml
 ./data.libzypp/bugzilla-tests/bug310618-test.xml
-./data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml
-./data.libzypp/distupgrade-tests/rename-multiple-test.xml
-./data.libzypp/distupgrade-tests/rename-single-test.xml
-./data.libzypp/distupgrade-tests/rename-version-cap-test.xml
-./data.libzypp/distupgrade-tests/unmaintained-single-test.xml
 ./data.libzypp/kernel-tests/1_2_1-default-test.xml
 ./data.libzypp/kernel-tests/1_2_1-smp-test.xml
 ./data.libzypp/kernel-tests/1_2_2-default-test.xml

Modified: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-test.xml Fri Oct 19 11:11:30 2007
@@ -8,7 +8,7 @@
   <channel name="upgrade" file="bug225218-packages.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <install channel="upgrade" kind="package" name="A2" arch="noarch" version="2.0" release="1"/>
   <reportproblems ignoreValidSolution="true"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-test.xml Fri Oct 19 11:11:30 2007
@@ -9,7 +9,866 @@
 </setup>
 <trial>
   <install kind="product" name="openSUSE" />
-  <distupgrade delete_unmaintained="true"/>
+
+<install channel="1" kind="package" name="RealPlayer" arch="i586" version="10.0.9" release="8"/>
+<install channel="1" kind="package" name="compat" arch="i586" version="2007.4.18" release="28"/>
+<install channel="1" kind="package" name="flash-player" arch="i586" version="9.0.48.0" release="13"/>
+<install channel="1" kind="package" name="kdebase3-nsplugin" arch="i586" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="master-boot-code" arch="i586" version="1.14" release="21"/>
+<install channel="1" kind="package" name="smartlink-softmodem" arch="i586" version="2.9.10" release="141"/>
+<install channel="1" kind="package" name="AdobeICCProfiles" arch="noarch" version="2.0" release="71"/>
+<install channel="1" kind="package" name="Crystalcursors" arch="noarch" version="0.5" release="127"/>
+<install channel="1" kind="package" name="OpenOffice_org-templates-en" arch="noarch" version="2.0.4" release="48"/>
+<install channel="1" kind="package" name="OpenOffice_org-templates-presentation-layouts" arch="noarch" version="2.0.4" release="50"/>
+<install channel="1" kind="package" name="SuSEfirewall2" arch="noarch" version="3.6_SVNr183" release="7"/>
+<install channel="1" kind="package" name="agfa-fonts" arch="noarch" version="2003.03.19" release="91"/>
+<install channel="1" kind="package" name="autoyast2" arch="noarch" version="2.15.17" release="5"/>
+<install channel="1" kind="package" name="atmel-firmware" arch="noarch" version="1.3" release="73"/>
+<install channel="1" kind="package" name="autoyast2-installation" arch="noarch" version="2.15.17" release="5"/>
+<install channel="1" kind="package" name="dejavu" arch="noarch" version="2.19" release="9"/>
+<install channel="1" kind="package" name="desktop-data-SuSE" arch="noarch" version="10.3" release="81"/>
+<install channel="1" kind="package" name="desktop-translations" arch="noarch" version="10.3" release="59"/>
+<install channel="1" kind="package" name="efont-unicode" arch="noarch" version="0.4.2" release="109"/>
+<install channel="1" kind="package" name="fonts-config" arch="noarch" version="20061025" release="53"/>
+<install channel="1" kind="package" name="gimp-help" arch="noarch" version="0.9" release="133"/>
+<install channel="1" kind="package" name="gnome-icon-theme" arch="noarch" version="2.19.91" release="4"/>
+<install channel="1" kind="package" name="ifnteuro" arch="noarch" version="1.2.1" release="299"/>
+<install channel="1" kind="package" name="inst-source-utils" arch="noarch" version="2007.9.13" release="1"/>
+<install channel="1" kind="package" name="info2html" arch="noarch" version="2.0" release="82"/>
+<install channel="1" kind="package" name="intlfnts" arch="noarch" version="1.2.1" release="299"/>
+<install channel="1" kind="package" name="ipw-firmware" arch="noarch" version="8" release="41"/>
+<install channel="1" kind="package" name="jarnal" arch="noarch" version="9.01" release="42"/>
+<install channel="1" kind="package" name="man-pages" arch="noarch" version="2.64" release="7"/>
+<install channel="1" kind="package" name="manufacturer-PPDs" arch="noarch" version="10.2" release="98"/>
+<install channel="1" kind="package" name="myspell-american" arch="noarch" version="20060207" release="10"/>
+<install channel="1" kind="package" name="netcfg" arch="noarch" version="10.3" release="36"/>
+<install channel="1" kind="package" name="opensuse-manual_en" arch="noarch" version="10.3" release="28"/>
+<install channel="1" kind="package" name="pciutils-ids" arch="noarch" version="2007.9.8" release="2"/>
+<install channel="1" kind="package" name="providers" arch="noarch" version="2006.11.21" release="41"/>
+<install channel="1" kind="package" name="qlogic-firmware" arch="noarch" version="1.0" release="81"/>
+<install channel="1" kind="package" name="release-notes" arch="noarch" version="10.3.10" release="2"/>
+<install channel="1" kind="package" name="siga" arch="noarch" version="10.101" release="70"/>
+<install channel="1" kind="package" name="sgml-skel" arch="noarch" version="0.6" release="342"/>
+<install channel="1" kind="package" name="suse-build-key" arch="noarch" version="1.0" release="766"/>
+<install channel="1" kind="package" name="suseRegister" arch="noarch" version="1.2" release="73"/>
+<install channel="1" kind="package" name="susehelp" arch="noarch" version="2007.08.22" release="9"/>
+<install channel="1" kind="package" name="susehelp_en" arch="noarch" version="2007.08.22" release="9"/>
+<install channel="1" kind="package" name="ulimit" arch="noarch" version="1.1" release="205"/>
+<install channel="1" kind="package" name="update-alternatives" arch="noarch" version="1.8.3" release="72"/>
+<install channel="1" kind="package" name="words" arch="noarch" version="6" release="78"/>
+<install channel="1" kind="package" name="xdg-utils" arch="noarch" version="1.0.1" release="79"/>
+<install channel="1" kind="package" name="xkeyboard-config" arch="noarch" version="1.0" release="25"/>
+<install channel="1" kind="package" name="xorg-x11-fonts" arch="noarch" version="7.2" release="81"/>
+<install channel="1" kind="package" name="xorg-x11-fonts-core" arch="noarch" version="7.2" release="81"/>
+<install channel="1" kind="package" name="yast2-backup" arch="noarch" version="2.15.4" release="38"/>
+<install channel="1" kind="package" name="yast2-bluetooth" arch="noarch" version="2.15.4" release="7"/>
+<install channel="1" kind="package" name="yast2-firewall" arch="noarch" version="2.15.7" release="28"/>
+<install channel="1" kind="package" name="yast2-inetd" arch="noarch" version="2.15.1" release="29"/>
+<install channel="1" kind="package" name="yast2-irda" arch="noarch" version="2.15.1" release="84"/>
+<install channel="1" kind="package" name="yast2-installation" arch="noarch" version="2.15.47" release="6"/>
+<install channel="1" kind="package" name="yast2-mail" arch="noarch" version="2.15.21" release="4"/>
+<install channel="1" kind="package" name="yast2-iscsi-client" arch="noarch" version="2.15.2" release="29"/>
+<install channel="1" kind="package" name="yast2-kerberos-client" arch="noarch" version="2.15.7" release="22"/>
+<install channel="1" kind="package" name="yast2-ldap-client" arch="noarch" version="2.15.12" release="25"/>
+<install channel="1" kind="package" name="yast2-nfs-client" arch="noarch" version="2.15.0" release="15"/>
+<install channel="1" kind="package" name="yast2-online-update" arch="noarch" version="2.15.20" release="26"/>
+<install channel="1" kind="package" name="yast2-ntp-client" arch="noarch" version="2.15.9" release="6"/>
+<install channel="1" kind="package" name="yast2-pam" arch="noarch" version="2.14.0" release="118"/>
+<install channel="1" kind="package" name="yast2-online-update-frontend" arch="noarch" version="2.15.20" release="26"/>
+<install channel="1" kind="package" name="yast2-registration" arch="noarch" version="2.15.3" release="4"/>
+<install channel="1" kind="package" name="yast2-repair" arch="noarch" version="2.15.7" release="47"/>
+<install channel="1" kind="package" name="yast2-restore" arch="noarch" version="2.15.4" release="10"/>
+<install channel="1" kind="package" name="yast2-runlevel" arch="noarch" version="2.15.3" release="9"/>
+<install channel="1" kind="package" name="yast2-samba-client" arch="noarch" version="2.15.11" release="23"/>
+<install channel="1" kind="package" name="yast2-samba-server" arch="noarch" version="2.15.7" release="45"/>
+<install channel="1" kind="package" name="yast2-scanner" arch="noarch" version="2.15.5" release="32"/>
+<install channel="1" kind="package" name="yast2-schema" arch="noarch" version="2.15.0" release="108"/>
+<install channel="1" kind="package" name="yast2-security" arch="noarch" version="2.15.1" release="13"/>
+<install channel="1" kind="package" name="yast2-sudo" arch="noarch" version="2.15.3" release="74"/>
+<install channel="1" kind="package" name="yast2-support" arch="noarch" version="2.15.3" release="4"/>
+<install channel="1" kind="package" name="yast2-sysconfig" arch="noarch" version="2.15.3" release="48"/>
+<install channel="1" kind="package" name="yast2-theme-openSUSE" arch="noarch" version="2.15.13" release="7"/>
+<install channel="1" kind="package" name="yast2-trans-en_US" arch="noarch" version="2.15.5" release="2"/>
+<install channel="1" kind="package" name="yast2-trans-stats" arch="noarch" version="2.15.0" release="24"/>
+<install channel="1" kind="package" name="3ddiag" arch="x86_64" version="0.740" release="77"/>
+<install channel="1" kind="package" name="yast2-tv" arch="noarch" version="2.15.7" release="13"/>
+<install channel="1" kind="package" name="yast2-x11" arch="noarch" version="2.15.11" release="10"/>
+<install channel="1" kind="package" name="CheckHardware" arch="x86_64" version="0.1" release="1083"/>
+<install channel="1" kind="package" name="915resolution" arch="x86_64" version="0.5.3" release="28"/>
+<install channel="1" kind="package" name="ImageMagick" arch="x86_64" version="6.3.5.3" release="23"/>
+<install channel="1" kind="package" name="GraphicsMagick" arch="x86_64" version="1.1.8" release="15"/>
+<install channel="1" kind="package" name="Mesa" arch="x86_64" version="7.0.1" release="13"/>
+<install channel="1" kind="package" name="Mesa-32bit" arch="x86_64" version="7.0.1" release="13"/>
+<install channel="1" kind="package" name="MozillaFirefox" arch="x86_64" version="2.0.0.6" release="16"/>
+<install channel="1" kind="package" name="MozillaFirefox-translations" arch="x86_64" version="2.0.0.6" release="16"/>
+<install channel="1" kind="package" name="NetworkManager" arch="x86_64" version="0.6.5" release="26"/>
+<install channel="1" kind="package" name="NetworkManager-kde" arch="x86_64" version="0.2r674918" release="45"/>
+<install channel="1" kind="package" name="OpenEXR" arch="x86_64" version="1.4.0a" release="31"/>
+<install channel="1" kind="package" name="OpenOffice_org-Quickstarter" arch="x86_64" version="1.0" release="586"/>
+<install channel="1" kind="package" name="OpenEXR-32bit" arch="x86_64" version="1.4.0a" release="31"/>
+<install channel="1" kind="package" name="OpenOffice_org-kde" arch="x86_64" version="2.3.0.1" release="8"/>
+<install channel="1" kind="package" name="OpenOffice_org" arch="x86_64" version="2.3.0.1" release="8"/>
+<install channel="1" kind="package" name="aaa_base" arch="x86_64" version="10.3" release="85"/>
+<install channel="1" kind="package" name="PolicyKit" arch="x86_64" version="0.4" release="16"/>
+<install channel="1" kind="package" name="SDL" arch="x86_64" version="1.2.12" release="19"/>
+<install channel="1" kind="package" name="a2ps" arch="x86_64" version="4.13" release="1179"/>
+<install channel="1" kind="package" name="aaa_skel" arch="x86_64" version="2007.3.7" release="33"/>
+<install channel="1" kind="package" name="aalib" arch="x86_64" version="1.4.0" release="380"/>
+<install channel="1" kind="package" name="acl" arch="x86_64" version="2.2.34" release="72"/>
+<install channel="1" kind="package" name="acpid" arch="x86_64" version="1.0.6" release="20"/>
+<install channel="1" kind="package" name="alsa" arch="x86_64" version="1.0.14" release="27"/>
+<install channel="1" kind="package" name="amarok" arch="x86_64" version="1.4.7" release="27"/>
+<install channel="1" kind="package" name="amarok-libvisual" arch="x86_64" version="1.4.7" release="27"/>
+<install channel="1" kind="package" name="amarok-xine" arch="x86_64" version="1.4.7" release="27"/>
+<install channel="1" kind="package" name="arts" arch="x86_64" version="1.5.7" release="35"/>
+<install channel="1" kind="package" name="aspell" arch="x86_64" version="0.60.5" release="42"/>
+<install channel="1" kind="package" name="ash" arch="x86_64" version="1.6.1" release="71"/>
+<install channel="1" kind="package" name="aspell-32bit" arch="x86_64" version="0.60.5" release="42"/>
+<install channel="1" kind="package" name="aspell-en" arch="x86_64" version="6.0" release="93"/>
+<install channel="1" kind="package" name="at" arch="x86_64" version="3.1.8" release="996"/>
+<install channel="1" kind="package" name="atk" arch="x86_64" version="1.19.6" release="15"/>
+<install channel="1" kind="package" name="atk-32bit" arch="x86_64" version="1.19.6" release="15"/>
+<install channel="1" kind="package" name="attr" arch="x86_64" version="2.4.28" release="78"/>
+<install channel="1" kind="package" name="audiofile" arch="x86_64" version="0.2.6" release="74"/>
+<install channel="1" kind="package" name="audit-libs" arch="x86_64" version="1.5.5" release="10"/>
+<install channel="1" kind="package" name="autofs" arch="x86_64" version="5.0.2" release="24"/>
+<install channel="1" kind="package" name="avahi-compat-mDNSResponder" arch="x86_64" version="0.6.20" release="35"/>
+<install channel="1" kind="package" name="bash" arch="x86_64" version="3.2" release="56"/>
+<install channel="1" kind="package" name="beagle" arch="x86_64" version="0.2.18" release="12"/>
+<install channel="1" kind="package" name="bc" arch="x86_64" version="1.06" release="823"/>
+<install channel="1" kind="package" name="beagle-firefox" arch="x86_64" version="0.2.18" release="12"/>
+<install channel="1" kind="package" name="beagle-index" arch="x86_64" version="10.3_20070203" release="95"/>
+<install channel="1" kind="package" name="bind-utils" arch="x86_64" version="9.4.1.P1" release="8"/>
+<install channel="1" kind="package" name="bind-libs" arch="x86_64" version="9.4.1.P1" release="8"/>
+<install channel="1" kind="package" name="binutils" arch="x86_64" version="2.17.50.20070726" release="10"/>
+<install channel="1" kind="package" name="blocxx" arch="x86_64" version="1.0.0" release="76"/>
+<install channel="1" kind="package" name="bluez-libs" arch="x86_64" version="3.18" release="2"/>
+<install channel="1" kind="package" name="bluez-utils" arch="x86_64" version="3.18" release="6"/>
+<install channel="1" kind="package" name="boost" arch="x86_64" version="1.33.1" release="103"/>
+<install channel="1" kind="package" name="bootsplash" arch="x86_64" version="3.3" release="78"/>
+<install channel="1" kind="package" name="bootcycle" arch="x86_64" version="0.3" release="166"/>
+<install channel="1" kind="package" name="bootsplash-theme-SuSE" arch="x86_64" version="3.1" release="169"/>
+<install channel="1" kind="package" name="cairo" arch="x86_64" version="1.4.10" release="20"/>
+<install channel="1" kind="package" name="bzip2" arch="x86_64" version="1.0.4" release="39"/>
+<install channel="1" kind="package" name="cabextract" arch="x86_64" version="1.2" release="54"/>
+<install channel="1" kind="package" name="cairo-32bit" arch="x86_64" version="1.4.10" release="20"/>
+<install channel="1" kind="package" name="cdparanoia" arch="x86_64" version="IIIalpha9.8" release="623"/>
+<install channel="1" kind="package" name="cdrdao" arch="x86_64" version="1.2.2" release="111"/>
+<install channel="1" kind="package" name="cdrkit-cdrtools-compat" arch="x86_64" version="1.1.6" release="18"/>
+<install channel="1" kind="package" name="classpath" arch="x86_64" version="0.95" release="65"/>
+<install channel="1" kind="package" name="compat-libstdc++" arch="x86_64" version="5.0.7" release="83"/>
+<install channel="1" kind="package" name="compat-openssl097g" arch="x86_64" version="0.9.7g" release="71"/>
+<install channel="1" kind="package" name="cpp" arch="x86_64" version="4.2" release="21"/>
+<install channel="1" kind="package" name="cpio" arch="x86_64" version="2.9" release="14"/>
+<install channel="1" kind="package" name="coreutils" arch="x86_64" version="6.9" release="40"/>
+<install channel="1" kind="package" name="cpufrequtils" arch="x86_64" version="002" release="89"/>
+<install channel="1" kind="package" name="cracklib" arch="x86_64" version="2.8.10" release="34"/>
+<install channel="1" kind="package" name="cron" arch="x86_64" version="4.1" release="119"/>
+<install channel="1" kind="package" name="cups" arch="x86_64" version="1.2.12" release="16"/>
+<install channel="1" kind="package" name="cups-client" arch="x86_64" version="1.2.12" release="16"/>
+<install channel="1" kind="package" name="cups-drivers" arch="x86_64" version="1.2.12" release="22"/>
+<install channel="1" kind="package" name="cups-libs" arch="x86_64" version="1.2.12" release="16"/>
+<install channel="1" kind="package" name="curl" arch="x86_64" version="7.16.4" release="10"/>
+<install channel="1" kind="package" name="cups-libs-32bit" arch="x86_64" version="1.2.12" release="16"/>
+<install channel="1" kind="package" name="cyrus-sasl-32bit" arch="x86_64" version="2.1.22" release="77"/>
+<install channel="1" kind="package" name="cyrus-sasl" arch="x86_64" version="2.1.22" release="77"/>
+<install channel="1" kind="package" name="cyrus-sasl-digestmd5" arch="x86_64" version="2.1.22" release="77"/>
+<install channel="1" kind="package" name="cyrus-sasl-crammd5" arch="x86_64" version="2.1.22" release="77"/>
+<install channel="1" kind="package" name="cyrus-sasl-saslauthd" arch="x86_64" version="2.1.22" release="81"/>
+<install channel="1" kind="package" name="cyrus-sasl-plain" arch="x86_64" version="2.1.22" release="77"/>
+<install channel="1" kind="package" name="db-utils" arch="x86_64" version="4.5.20" release="26"/>
+<install channel="1" kind="package" name="dbus-1" arch="x86_64" version="1.0.2" release="56"/>
+<install channel="1" kind="package" name="dbus-1-32bit" arch="x86_64" version="1.0.2" release="56"/>
+<install channel="1" kind="package" name="dbus-1-glib" arch="x86_64" version="0.74" release="20"/>
+<install channel="1" kind="package" name="dbus-1-glib-32bit" arch="x86_64" version="0.74" release="20"/>
+<install channel="1" kind="package" name="dbus-1-qt3" arch="x86_64" version="0.62" release="105"/>
+<install channel="1" kind="package" name="dbus-1-x11" arch="x86_64" version="1.0.2" release="62"/>
+<install channel="1" kind="package" name="dcraw" arch="x86_64" version="1.390" release="8"/>
+<install channel="1" kind="package" name="deltarpm" arch="x86_64" version="3.4" release="33"/>
+<install channel="1" kind="package" name="desktop-file-utils" arch="x86_64" version="0.13" release="34"/>
+<install channel="1" kind="package" name="device-mapper" arch="x86_64" version="1.02.19" release="25"/>
+<install channel="1" kind="package" name="dhcdbd" arch="x86_64" version="1.14" release="61"/>
+<install channel="1" kind="package" name="dhcp" arch="x86_64" version="3.0.6" release="20"/>
+<install channel="1" kind="package" name="dhcp-client" arch="x86_64" version="3.0.6" release="20"/>
+<install channel="1" kind="package" name="dhcpcd" arch="x86_64" version="1.3.22pl4" release="284"/>
+<install channel="1" kind="package" name="dialog" arch="x86_64" version="1.0" release="60"/>
+<install channel="1" kind="package" name="diffutils" arch="x86_64" version="2.8.7" release="77"/>
+<install channel="1" kind="package" name="digikam" arch="x86_64" version="0.9.2" release="42"/>
+<install channel="1" kind="package" name="digikamimageplugins" arch="x86_64" version="0.9.2" release="42"/>
+<install channel="1" kind="package" name="dirmngr" arch="x86_64" version="1.0.0" release="14"/>
+<install channel="1" kind="package" name="dmraid" arch="x86_64" version="1.0.0.rc14" release="19"/>
+<install channel="1" kind="package" name="dockutils" arch="x86_64" version="0.2" release="18"/>
+<install channel="1" kind="package" name="dos2unix" arch="x86_64" version="3.1" release="373"/>
+<install channel="1" kind="package" name="dosfstools" arch="x86_64" version="2.11" release="79"/>
+<install channel="1" kind="package" name="dvd+rw-tools" arch="x86_64" version="7.0" release="46"/>
+<install channel="1" kind="package" name="e2fsprogs" arch="x86_64" version="1.40.2" release="16"/>
+<install channel="1" kind="package" name="ed" arch="x86_64" version="0.2" release="935"/>
+<install channel="1" kind="package" name="eject" arch="x86_64" version="2.1.0" release="68"/>
+<install channel="1" kind="package" name="enscript" arch="x86_64" version="1.6.4" release="80"/>
+<install channel="1" kind="package" name="esound" arch="x86_64" version="0.2.38" release="14"/>
+<install channel="1" kind="package" name="ethtool" arch="x86_64" version="6" release="10"/>
+<install channel="1" kind="package" name="evms" arch="x86_64" version="2.5.5" release="166"/>
+<install channel="1" kind="package" name="evms-gui" arch="x86_64" version="2.5.5" release="166"/>
+<install channel="1" kind="package" name="exiftool" arch="x86_64" version="6.90" release="8"/>
+<install channel="1" kind="package" name="expat" arch="x86_64" version="2.0.1" release="21"/>
+<install channel="1" kind="package" name="fam" arch="x86_64" version="2.7.0" release="67"/>
+<install channel="1" kind="package" name="fam-32bit" arch="x86_64" version="2.7.0" release="67"/>
+<install channel="1" kind="package" name="fftw3" arch="x86_64" version="3.1.2" release="59"/>
+<install channel="1" kind="package" name="fbset" arch="x86_64" version="2.1" release="852"/>
+<install channel="1" kind="package" name="file" arch="x86_64" version="4.21" release="4"/>
+<install channel="1" kind="package" name="fileshareset" arch="x86_64" version="2.0" release="357"/>
+<install channel="1" kind="package" name="fillup" arch="x86_64" version="1.42" release="176"/>
+<install channel="1" kind="package" name="filesystem" arch="x86_64" version="10.3" release="47"/>
+<install channel="1" kind="package" name="findutils" arch="x86_64" version="4.2.31" release="21"/>
+<install channel="1" kind="package" name="flac" arch="x86_64" version="1.2.0" release="10"/>
+<install channel="1" kind="package" name="fontconfig" arch="x86_64" version="2.4.2" release="40"/>
+<install channel="1" kind="package" name="fontconfig-32bit" arch="x86_64" version="2.4.2" release="40"/>
+<install channel="1" kind="package" name="foomatic-filters" arch="x86_64" version="3.0.2" release="124"/>
+<install channel="1" kind="package" name="freeglut" arch="x86_64" version="060903" release="74"/>
+<install channel="1" kind="package" name="freetype" arch="x86_64" version="1.3.1" release="1262"/>
+<install channel="1" kind="package" name="freetype2" arch="x86_64" version="2.3.5" release="15"/>
+<install channel="1" kind="package" name="freetype2-32bit" arch="x86_64" version="2.3.5" release="15"/>
+<install channel="1" kind="package" name="fribidi" arch="x86_64" version="0.10.4" release="575"/>
+<install channel="1" kind="package" name="ftgl" arch="x86_64" version="2.1.2" release="88"/>
+<install channel="1" kind="package" name="ft2demos" arch="x86_64" version="2.3.5" release="17"/>
+<install channel="1" kind="package" name="fvwm2" arch="x86_64" version="2.5.21" release="65"/>
+<install channel="1" kind="package" name="gail" arch="x86_64" version="1.19.6" release="22"/>
+<install channel="1" kind="package" name="gawk" arch="x86_64" version="3.1.5g" release="22"/>
+<install channel="1" kind="package" name="gcc-gij" arch="x86_64" version="4.2" release="21"/>
+<install channel="1" kind="package" name="gdbm" arch="x86_64" version="1.8.3" release="299"/>
+<install channel="1" kind="package" name="gconf2-32bit" arch="x86_64" version="2.19.1" release="24"/>
+<install channel="1" kind="package" name="gconf2" arch="x86_64" version="2.19.1" release="24"/>
+<install channel="1" kind="package" name="gdb" arch="x86_64" version="6.6.50.20070726" release="19"/>
+<install channel="1" kind="package" name="gdbm-32bit" arch="x86_64" version="1.8.3" release="299"/>
+<install channel="1" kind="package" name="gettext" arch="x86_64" version="0.16" release="43"/>
+<install channel="1" kind="package" name="giflib" arch="x86_64" version="4.1.4" release="81"/>
+<install channel="1" kind="package" name="ghostscript-fonts-other" arch="x86_64" version="8.15.3" release="93"/>
+<install channel="1" kind="package" name="ghostscript-library" arch="x86_64" version="8.15.3" release="93"/>
+<install channel="1" kind="package" name="ghostscript-x11" arch="x86_64" version="8.15.3" release="93"/>
+<install channel="1" kind="package" name="ghostscript-fonts-std" arch="x86_64" version="8.15.3" release="93"/>
+<install channel="1" kind="package" name="gimp" arch="x86_64" version="2.2.17" release="29"/>
+<install channel="1" kind="package" name="gle" arch="x86_64" version="3.1.0" release="17"/>
+<install channel="1" kind="package" name="glib" arch="x86_64" version="1.2.10" release="669"/>
+<install channel="1" kind="package" name="glib2" arch="x86_64" version="2.14.0" release="3"/>
+<install channel="1" kind="package" name="glib-sharp2" arch="x86_64" version="2.10.2" release="22"/>
+<install channel="1" kind="package" name="glib2-32bit" arch="x86_64" version="2.14.0" release="3"/>
+<install channel="1" kind="package" name="glibc" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="glitz" arch="x86_64" version="0.5.6" release="81"/>
+<install channel="1" kind="package" name="glibc-32bit" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="glibc-i18ndata" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="glibc-locale" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="glitz-32bit" arch="x86_64" version="0.5.6" release="81"/>
+<install channel="1" kind="package" name="gmime" arch="x86_64" version="2.2.10" release="24"/>
+<install channel="1" kind="package" name="glibc-locale-32bit" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="gmp" arch="x86_64" version="4.2.1" release="55"/>
+<install channel="1" kind="package" name="gnokii" arch="x86_64" version="0.6.18" release="22"/>
+<install channel="1" kind="package" name="gnome-keyring" arch="x86_64" version="2.19.91" release="8"/>
+<install channel="1" kind="package" name="gnome-vfs2-32bit" arch="x86_64" version="2.19.91" release="7"/>
+<install channel="1" kind="package" name="gnome-vfs2" arch="x86_64" version="2.19.91" release="7"/>
+<install channel="1" kind="package" name="gnutls" arch="x86_64" version="1.6.1" release="33"/>
+<install channel="1" kind="package" name="gpart" arch="x86_64" version="0.1h" release="553"/>
+<install channel="1" kind="package" name="gpg2" arch="x86_64" version="2.0.4" release="43"/>
+<install channel="1" kind="package" name="gpgme" arch="x86_64" version="1.1.5" release="25"/>
+<install channel="1" kind="package" name="gpm" arch="x86_64" version="1.20.1" release="385"/>
+<install channel="1" kind="package" name="grep" arch="x86_64" version="2.5.2" release="25"/>
+<install channel="1" kind="package" name="groff" arch="x86_64" version="1.18.1.1" release="96"/>
+<install channel="1" kind="package" name="grub" arch="x86_64" version="0.97" release="79"/>
+<install channel="1" kind="package" name="gsf-sharp" arch="x86_64" version="0.8.1" release="77"/>
+<install channel="1" kind="package" name="gtk" arch="x86_64" version="1.2.10" release="988"/>
+<install channel="1" kind="package" name="gtk-sharp2" arch="x86_64" version="2.10.2" release="22"/>
+<install channel="1" kind="package" name="gtk2-engines-32bit" arch="x86_64" version="2.11.7" release="2"/>
+<install channel="1" kind="package" name="gtk2-32bit" arch="x86_64" version="2.11.6" release="23"/>
+<install channel="1" kind="package" name="gtk2" arch="x86_64" version="2.11.6" release="23"/>
+<install channel="1" kind="package" name="gtksourceview" arch="x86_64" version="1.90.4" release="6"/>
+<install channel="1" kind="package" name="ispell-american" arch="x86_64" version="3.3.02" release="20"/>
+<install channel="1" kind="package" name="gutenprint" arch="x86_64" version="5.0.1" release="1"/>
+<install channel="1" kind="package" name="gwenview" arch="x86_64" version="1.4.1" release="85"/>
+<install channel="1" kind="package" name="gzip" arch="x86_64" version="1.3.12" release="31"/>
+<install channel="1" kind="package" name="hal" arch="x86_64" version="0.5.9_git20070831" release="6"/>
+<install channel="1" kind="package" name="hal-resmgr" arch="x86_64" version="0.1_SVNr141" release="24"/>
+<install channel="1" kind="package" name="hdparm" arch="x86_64" version="7.7" release="7"/>
+<install channel="1" kind="package" name="hfsutils" arch="x86_64" version="3.2.6" release="1124"/>
+<install channel="1" kind="package" name="hplip" arch="x86_64" version="2.7.7" release="28"/>
+<install channel="1" kind="package" name="hotkey-setup" arch="x86_64" version="0.1" release="69"/>
+<install channel="1" kind="package" name="hplip-hpijs" arch="x86_64" version="2.7.7" release="28"/>
+<install channel="1" kind="package" name="hwinfo" arch="x86_64" version="13.52" release="2"/>
+<install channel="1" kind="package" name="htdig" arch="x86_64" version="3.2.0b6" release="106"/>
+<install channel="1" kind="package" name="imlib" arch="x86_64" version="1.9.14" release="300"/>
+<install channel="1" kind="package" name="id3lib" arch="x86_64" version="3.8.3" release="163"/>
+<install channel="1" kind="package" name="ifplugd" arch="x86_64" version="0.28" release="103"/>
+<install channel="1" kind="package" name="imlib2-loaders" arch="x86_64" version="1.3.0" release="61"/>
+<install channel="1" kind="package" name="imlib2" arch="x86_64" version="1.3.0" release="61"/>
+<install channel="1" kind="package" name="info" arch="x86_64" version="4.9" release="12"/>
+<install channel="1" kind="package" name="initviocons" arch="x86_64" version="0.5" release="12"/>
+<install channel="1" kind="package" name="insserv" arch="x86_64" version="1.09.0" release="43"/>
+<install channel="1" kind="package" name="iproute2" arch="x86_64" version="2.6.22" release="26"/>
+<install channel="1" kind="package" name="iptables" arch="x86_64" version="1.3.8" release="21"/>
+<install channel="1" kind="package" name="iputils" arch="x86_64" version="ss021109" release="230"/>
+<install channel="1" kind="package" name="ipw3945d" arch="x86_64" version="1.7.22" release="5"/>
+<install channel="1" kind="package" name="irda" arch="x86_64" version="0.9.18" release="92"/>
+<install channel="1" kind="package" name="irqbalance" arch="x86_64" version="0.55" release="37"/>
+<install channel="1" kind="package" name="ispell" arch="x86_64" version="3.3.02" release="20"/>
+<install channel="1" kind="package" name="jack" arch="x86_64" version="0.103.0" release="50"/>
+<install channel="1" kind="package" name="jpeg" arch="x86_64" version="6b" release="809"/>
+<install channel="1" kind="package" name="java-1_5_0-sun" arch="x86_64" version="1.5.0_update12" release="20"/>
+<install channel="1" kind="package" name="joe" arch="x86_64" version="3.5" release="61"/>
+<install channel="1" kind="package" name="jfsutils" arch="x86_64" version="1.1.11" release="66"/>
+<install channel="1" kind="package" name="jpackage-utils" arch="x86_64" version="1.7.0" release="74"/>
+<install channel="1" kind="package" name="k3b" arch="x86_64" version="1.0.3" release="24"/>
+<install channel="1" kind="package" name="kaffeine" arch="x86_64" version="0.8.5" release="27"/>
+<install channel="1" kind="package" name="kbd" arch="x86_64" version="1.12" release="135"/>
+<install channel="1" kind="package" name="kcm_gtk" arch="x86_64" version="0.7svn20070827" release="9"/>
+<install channel="1" kind="package" name="kdeaddons3-kicker" arch="x86_64" version="3.5.7" release="6"/>
+<install channel="1" kind="package" name="kdeaddons3-konqueror" arch="x86_64" version="3.5.7" release="6"/>
+<install channel="1" kind="package" name="kdebase3" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdeartwork3-kscreensaver" arch="x86_64" version="3.5.7" release="51"/>
+<install channel="1" kind="package" name="kdeartwork3-xscreensaver" arch="x86_64" version="3.5.7" release="51"/>
+<install channel="1" kind="package" name="kdebase3-SuSE" arch="x86_64" version="10.3" release="136"/>
+<install channel="1" kind="package" name="kdebase3-beagle" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdebase3-kdm" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdebase3-ksysguardd" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdebase3-samba" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdebase3-session" arch="x86_64" version="3.5.7" release="72"/>
+<install channel="1" kind="package" name="kdebluetooth" arch="x86_64" version="1.0_beta7" release="10"/>
+<install channel="1" kind="package" name="kdegraphics3" arch="x86_64" version="3.5.7" release="50"/>
+<install channel="1" kind="package" name="kdegraphics3-pdf" arch="x86_64" version="3.5.7" release="50"/>
+<install channel="1" kind="package" name="kdegraphics3-kamera" arch="x86_64" version="3.5.7" release="50"/>
+<install channel="1" kind="package" name="kdegraphics3-postscript" arch="x86_64" version="3.5.7" release="50"/>
+<install channel="1" kind="package" name="kdelibs3" arch="x86_64" version="3.5.7" release="63"/>
+<install channel="1" kind="package" name="kdegraphics3-scan" arch="x86_64" version="3.5.7" release="50"/>
+<install channel="1" kind="package" name="kdenetwork3-InstantMessenger" arch="x86_64" version="3.5.7" release="58"/>
+<install channel="1" kind="package" name="kdelibs3-32bit" arch="x86_64" version="3.5.7" release="63"/>
+<install channel="1" kind="package" name="kdenetwork3" arch="x86_64" version="3.5.7" release="58"/>
+<install channel="1" kind="package" name="kdelibs3-doc" arch="x86_64" version="3.5.7" release="63"/>
+<install channel="1" kind="package" name="kdemultimedia3" arch="x86_64" version="3.5.7" release="52"/>
+<install channel="1" kind="package" name="kdemultimedia3-CD" arch="x86_64" version="3.5.7" release="52"/>
+<install channel="1" kind="package" name="kdemultimedia3-mixer" arch="x86_64" version="3.5.7" release="52"/>
+<install channel="1" kind="package" name="kdenetwork3-news" arch="x86_64" version="3.5.7" release="58"/>
+<install channel="1" kind="package" name="kdenetwork3-vnc" arch="x86_64" version="3.5.7" release="58"/>
+<install channel="1" kind="package" name="kdepim3" arch="x86_64" version="3.5.7.enterprise.0.20070831.706868" release="12"/>
+<install channel="1" kind="package" name="kdepim3-notes" arch="x86_64" version="3.5.7.enterprise.0.20070831.706868" release="12"/>
+<install channel="1" kind="package" name="kdepim3-kpilot" arch="x86_64" version="3.5.7.enterprise.0.20070831.706868" release="12"/>
+<install channel="1" kind="package" name="kdeutils3-laptop" arch="x86_64" version="3.5.7" release="51"/>
+<install channel="1" kind="package" name="kdeutils3" arch="x86_64" version="3.5.7" release="51"/>
+<install channel="1" kind="package" name="kdetv" arch="x86_64" version="0.8.9" release="88"/>
+<install channel="1" kind="package" name="kernel-default" arch="x86_64" version="2.6.22.5" release="16"/>
+<install channel="1" kind="package" name="kio_ipodslave" arch="x86_64" version="0.8.pre1" release="106"/>
+<install channel="1" kind="package" name="kerry" arch="x86_64" version="0.2.2" release="81"/>
+<install channel="1" kind="package" name="kio_beagle" arch="x86_64" version="0.3.1" release="110"/>
+<install channel="1" kind="package" name="kio_slp" arch="x86_64" version="0.4.1" release="117"/>
+<install channel="1" kind="package" name="kio_iso" arch="x86_64" version="1.80.0" release="30"/>
+<install channel="1" kind="package" name="kipi-plugins" arch="x86_64" version="0.1.4" release="29"/>
+<install channel="1" kind="package" name="kitchensync" arch="x86_64" version="3.5.7.enterprise.0.20070831.706868" release="12"/>
+<install channel="1" kind="package" name="klogd" arch="x86_64" version="1.4.1" release="629"/>
+<install channel="1" kind="package" name="koffice" arch="x86_64" version="1.6.3" release="42"/>
+<install channel="1" kind="package" name="koffice-illustration" arch="x86_64" version="1.6.3" release="42"/>
+<install channel="1" kind="package" name="konversation" arch="x86_64" version="1.0.1" release="105"/>
+<install channel="1" kind="package" name="kpowersave" arch="x86_64" version="0.7.2_SVN20070830" release="8"/>
+<install channel="1" kind="package" name="krb5-32bit" arch="x86_64" version="1.6.2" release="16"/>
+<install channel="1" kind="package" name="krb5" arch="x86_64" version="1.6.2" release="16"/>
+<install channel="1" kind="package" name="ksh" arch="x86_64" version="93s" release="44"/>
+<install channel="1" kind="package" name="krecord" arch="x86_64" version="1.16" release="131"/>
+<install channel="1" kind="package" name="kscpm" arch="x86_64" version="0.5.3" release="129"/>
+<install channel="1" kind="package" name="ktorrent" arch="x86_64" version="2.2.1" release="26"/>
+<install channel="1" kind="package" name="ksymoops" arch="x86_64" version="2.4.11" release="73"/>
+<install channel="1" kind="package" name="kwin-decor-suse2" arch="x86_64" version="0.4.1" release="23"/>
+<install channel="1" kind="package" name="ldapcpplib" arch="x86_64" version="0.0.4" release="91"/>
+<install channel="1" kind="package" name="less" arch="x86_64" version="406" release="13"/>
+<install channel="1" kind="package" name="libMagick++10" arch="x86_64" version="6.3.5.3" release="23"/>
+<install channel="1" kind="package" name="libacl" arch="x86_64" version="2.2.34" release="72"/>
+<install channel="1" kind="package" name="libacl-32bit" arch="x86_64" version="2.2.34" release="72"/>
+<install channel="1" kind="package" name="libakode" arch="x86_64" version="2.0.2" release="55"/>
+<install channel="1" kind="package" name="libao" arch="x86_64" version="0.8.8" release="15"/>
+<install channel="1" kind="package" name="libart_lgpl" arch="x86_64" version="2.3.19" release="32"/>
+<install channel="1" kind="package" name="libart_lgpl-32bit" arch="x86_64" version="2.3.19" release="32"/>
+<install channel="1" kind="package" name="libattr" arch="x86_64" version="2.4.28" release="78"/>
+<install channel="1" kind="package" name="libasound2-32bit" arch="x86_64" version="1.0.14" release="27"/>
+<install channel="1" kind="package" name="libattr-32bit" arch="x86_64" version="2.4.28" release="78"/>
+<install channel="1" kind="package" name="libbeagle" arch="x86_64" version="0.2.18" release="11"/>
+<install channel="1" kind="package" name="libbonobo" arch="x86_64" version="2.19.6" release="13"/>
+<install channel="1" kind="package" name="libbonoboui" arch="x86_64" version="2.19.6" release="21"/>
+<install channel="1" kind="package" name="libcom_err2" arch="x86_64" version="1.40.2" release="16"/>
+<install channel="1" kind="package" name="libcroco" arch="x86_64" version="0.6.1" release="64"/>
+<install channel="1" kind="package" name="libcroco-32bit" arch="x86_64" version="0.6.1" release="64"/>
+<install channel="1" kind="package" name="libdb-4_5" arch="x86_64" version="4.5.20" release="26"/>
+<install channel="1" kind="package" name="libdrm" arch="x86_64" version="2.3.0" release="40"/>
+<install channel="1" kind="package" name="libdrm-32bit" arch="x86_64" version="2.3.0" release="40"/>
+<install channel="1" kind="package" name="libexif" arch="x86_64" version="0.6.16" release="20"/>
+<install channel="1" kind="package" name="libevent" arch="x86_64" version="1.3b" release="33"/>
+<install channel="1" kind="package" name="libgcc42" arch="x86_64" version="4.2.1_20070724" release="12"/>
+<install channel="1" kind="package" name="libgcc42-32bit" arch="x86_64" version="4.2.1_20070724" release="12"/>
+<install channel="1" kind="package" name="libgcrypt-32bit" arch="x86_64" version="1.2.4" release="35"/>
+<install channel="1" kind="package" name="libgcrypt" arch="x86_64" version="1.2.4" release="35"/>
+<install channel="1" kind="package" name="libglade2" arch="x86_64" version="2.6.2" release="15"/>
+<install channel="1" kind="package" name="libgimpprint" arch="x86_64" version="4.2.7" release="171"/>
+<install channel="1" kind="package" name="libgnome" arch="x86_64" version="2.19.1" release="20"/>
+<install channel="1" kind="package" name="libgnomecups" arch="x86_64" version="0.2.2" release="118"/>
+<install channel="1" kind="package" name="libgnomecanvas" arch="x86_64" version="2.19.2" release="8"/>
+<install channel="1" kind="package" name="libgnomeprint" arch="x86_64" version="2.18.1" release="6"/>
+<install channel="1" kind="package" name="libgnomeprintui" arch="x86_64" version="2.18.0" release="56"/>
+<install channel="1" kind="package" name="libgnomesu" arch="x86_64" version="1.0.0" release="148"/>
+<install channel="1" kind="package" name="libgnomeui" arch="x86_64" version="2.19.1" release="21"/>
+<install channel="1" kind="package" name="libgpg-error" arch="x86_64" version="1.4" release="56"/>
+<install channel="1" kind="package" name="libgpg-error-32bit" arch="x86_64" version="1.4" release="56"/>
+<install channel="1" kind="package" name="libgphoto2" arch="x86_64" version="2.4.0" release="19"/>
+<install channel="1" kind="package" name="libgsf" arch="x86_64" version="1.14.5" release="18"/>
+<install channel="1" kind="package" name="libgpod2" arch="x86_64" version="0.5.2" release="26"/>
+<install channel="1" kind="package" name="libgsf-32bit" arch="x86_64" version="1.14.5" release="18"/>
+<install channel="1" kind="package" name="libgsf-gnome" arch="x86_64" version="1.14.5" release="18"/>
+<install channel="1" kind="package" name="libgssapi" arch="x86_64" version="0.11" release="28"/>
+<install channel="1" kind="package" name="libgtkhtml" arch="x86_64" version="2.11.0" release="108"/>
+<install channel="1" kind="package" name="libical" arch="x86_64" version="0.24.RC4" release="137"/>
+<install channel="1" kind="package" name="libicu" arch="x86_64" version="3.6" release="10"/>
+<install channel="1" kind="package" name="libidl" arch="x86_64" version="0.8.8" release="37"/>
+<install channel="1" kind="package" name="libidn" arch="x86_64" version="1.0" release="8"/>
+<install channel="1" kind="package" name="libidl-32bit" arch="x86_64" version="0.8.8" release="37"/>
+<install channel="1" kind="package" name="libidn-32bit" arch="x86_64" version="1.0" release="8"/>
+<install channel="1" kind="package" name="libieee1284" arch="x86_64" version="0.2.10" release="99"/>
+<install channel="1" kind="package" name="libjpeg-32bit" arch="x86_64" version="6.2.0" release="809"/>
+<install channel="1" kind="package" name="libjasper" arch="x86_64" version="1.900.1" release="39"/>
+<install channel="1" kind="package" name="libjasper-32bit" arch="x86_64" version="1.900.1" release="39"/>
+<install channel="1" kind="package" name="libjpeg" arch="x86_64" version="6.2.0" release="809"/>
+<install channel="1" kind="package" name="libmng-32bit" arch="x86_64" version="1.0.10" release="11"/>
+<install channel="1" kind="package" name="liblcms" arch="x86_64" version="1.16" release="36"/>
+<install channel="1" kind="package" name="libkipi" arch="x86_64" version="0.1.5" release="78"/>
+<install channel="1" kind="package" name="liblazy" arch="x86_64" version="0.2" release="8"/>
+<install channel="1" kind="package" name="libksba" arch="x86_64" version="1.0.2" release="8"/>
+<install channel="1" kind="package" name="liblcms-32bit" arch="x86_64" version="1.16" release="36"/>
+<install channel="1" kind="package" name="libltdl-3" arch="x86_64" version="1.5.24" release="14"/>
+<install channel="1" kind="package" name="libmal" arch="x86_64" version="0.31" release="270"/>
+<install channel="1" kind="package" name="libmng" arch="x86_64" version="1.0.10" release="11"/>
+<install channel="1" kind="package" name="libmpcdec5" arch="x86_64" version="1.2.6" release="5"/>
+<install channel="1" kind="package" name="libmtp" arch="x86_64" version="0.2.1" release="7"/>
+<install channel="1" kind="package" name="libmusicbrainz4" arch="x86_64" version="2.1.5" release="3"/>
+<install channel="1" kind="package" name="libnscd" arch="x86_64" version="2.0.2" release="40"/>
+<install channel="1" kind="package" name="libnjb" arch="x86_64" version="2.2.5" release="98"/>
+<install channel="1" kind="package" name="libnetpbm10" arch="x86_64" version="10.26.44" release="7"/>
+<install channel="1" kind="package" name="libnl" arch="x86_64" version="1.0" release="78"/>
+<install channel="1" kind="package" name="libnscd-32bit" arch="x86_64" version="2.0.2" release="40"/>
+<install channel="1" kind="package" name="libofa" arch="x86_64" version="0.9.3" release="55"/>
+<install channel="1" kind="package" name="libogg" arch="x86_64" version="1.1.3" release="71"/>
+<install channel="1" kind="package" name="libopencdk" arch="x86_64" version="0.5.11" release="37"/>
+<install channel="1" kind="package" name="libopensync" arch="x86_64" version="0.22" release="44"/>
+<install channel="1" kind="package" name="libopensync-plugin-file" arch="x86_64" version="0.22" release="42"/>
+<install channel="1" kind="package" name="libopensync-plugin-gnokii" arch="x86_64" version="0.22" release="51"/>
+<install channel="1" kind="package" name="libopensync-plugin-gpe" arch="x86_64" version="0.22" release="42"/>
+<install channel="1" kind="package" name="libopensync-plugin-irmc" arch="x86_64" version="0.22" release="46"/>
+<install channel="1" kind="package" name="libopensync-plugin-kdepim" arch="x86_64" version="0.22" release="67"/>
+<install channel="1" kind="package" name="libopensync-plugin-palm" arch="x86_64" version="0.22" release="52"/>
+<install channel="1" kind="package" name="libopensync-plugin-opie" arch="x86_64" version="0.22" release="42"/>
+<install channel="1" kind="package" name="libopensync-plugin-syncml" arch="x86_64" version="0.22" release="47"/>
+<install channel="1" kind="package" name="libopensync-tools" arch="x86_64" version="0.22" release="44"/>
+<install channel="1" kind="package" name="libopensync-plugin-sunbird" arch="x86_64" version="0.22" release="44"/>
+<install channel="1" kind="package" name="libpcap" arch="x86_64" version="0.9.7" release="10"/>
+<install channel="1" kind="package" name="libpng" arch="x86_64" version="1.2.18" release="12"/>
+<install channel="1" kind="package" name="libpng-32bit" arch="x86_64" version="1.2.18" release="12"/>
+<install channel="1" kind="package" name="libqt4-sql" arch="x86_64" version="4.3.1" release="16"/>
+<install channel="1" kind="package" name="libqt4-x11" arch="x86_64" version="4.3.1" release="16"/>
+<install channel="1" kind="package" name="libqt4-dbus-1" arch="x86_64" version="4.3.1" release="16"/>
+<install channel="1" kind="package" name="libqt4" arch="x86_64" version="4.3.1" release="16"/>
+<install channel="1" kind="package" name="libqt4-qt3support" arch="x86_64" version="4.3.1" release="16"/>
+<install channel="1" kind="package" name="libqtpod" arch="x86_64" version="0.3" release="81"/>
+<install channel="1" kind="package" name="libreadline5" arch="x86_64" version="5.2" release="15"/>
+<install channel="1" kind="package" name="librsvg" arch="x86_64" version="2.18.2" release="2"/>
+<install channel="1" kind="package" name="librpcsecgss" arch="x86_64" version="0.14" release="67"/>
+<install channel="1" kind="package" name="librsvg-32bit" arch="x86_64" version="2.18.2" release="2"/>
+<install channel="1" kind="package" name="libsamplerate" arch="x86_64" version="0.1.2" release="73"/>
+<install channel="1" kind="package" name="libsmbclient" arch="x86_64" version="3.0.25c" release="7"/>
+<install channel="1" kind="package" name="libsmbclient-32bit" arch="x86_64" version="3.0.25c" release="7"/>
+<install channel="1" kind="package" name="libsndfile" arch="x86_64" version="1.0.17" release="75"/>
+<install channel="1" kind="package" name="libsoup" arch="x86_64" version="2.2.100" release="41"/>
+<install channel="1" kind="package" name="libstdc++42-32bit" arch="x86_64" version="4.2.1_20070724" release="12"/>
+<install channel="1" kind="package" name="libstdc++42" arch="x86_64" version="4.2.1_20070724" release="12"/>
+<install channel="1" kind="package" name="libstroke" arch="x86_64" version="0.5.1" release="102"/>
+<install channel="1" kind="package" name="libsyncml0" arch="x86_64" version="0.4.4" release="38"/>
+<install channel="1" kind="package" name="libtheora0" arch="x86_64" version="0.99.0.7" release="44"/>
+<install channel="1" kind="package" name="libusb" arch="x86_64" version="0.1.12" release="69"/>
+<install channel="1" kind="package" name="libtiff3" arch="x86_64" version="3.8.2" release="65"/>
+<install channel="1" kind="package" name="libtunepimp" arch="x86_64" version="0.5.3" release="17"/>
+<install channel="1" kind="package" name="libvolume_id" arch="x86_64" version="114" release="12"/>
+<install channel="1" kind="package" name="libvisual" arch="x86_64" version="0.4.0" release="80"/>
+<install channel="1" kind="package" name="libvorbis" arch="x86_64" version="1.2.0" release="8"/>
+<install channel="1" kind="package" name="libwmf" arch="x86_64" version="0.2.8.4" release="87"/>
+<install channel="1" kind="package" name="libxcrypt" arch="x86_64" version="2.4" release="68"/>
+<install channel="1" kind="package" name="libxml2" arch="x86_64" version="2.6.29" release="17"/>
+<install channel="1" kind="package" name="libxslt" arch="x86_64" version="1.1.20" release="37"/>
+<install channel="1" kind="package" name="libxml2-32bit" arch="x86_64" version="2.6.29" release="17"/>
+<install channel="1" kind="package" name="libxslt-32bit" arch="x86_64" version="1.1.20" release="37"/>
+<install channel="1" kind="package" name="liby2util" arch="x86_64" version="2.14.0" release="61"/>
+<install channel="1" kind="package" name="libzio" arch="x86_64" version="0.4" release="40"/>
+<install channel="1" kind="package" name="libzypp" arch="x86_64" version="3.22.7" release="2"/>
+<install channel="1" kind="package" name="limal" arch="x86_64" version="1.3.2" release="2"/>
+<install channel="1" kind="package" name="limal-perl" arch="x86_64" version="1.3.2" release="2"/>
+<install channel="1" kind="package" name="lsof" arch="x86_64" version="4.78" release="8"/>
+<install channel="1" kind="package" name="linux32" arch="x86_64" version="1.0" release="409"/>
+<install channel="1" kind="package" name="logrotate" arch="x86_64" version="3.7.5" release="6"/>
+<install channel="1" kind="package" name="lsb" arch="x86_64" version="3.1" release="60"/>
+<install channel="1" kind="package" name="lvm2" arch="x86_64" version="2.02.25" release="25"/>
+<install channel="1" kind="package" name="lukemftp" arch="x86_64" version="1.5" release="657"/>
+<install channel="1" kind="package" name="m4" arch="x86_64" version="1.4.10" release="14"/>
+<install channel="1" kind="package" name="lzo" arch="x86_64" version="2.02" release="71"/>
+<install channel="1" kind="package" name="mailx" arch="x86_64" version="12.2" release="42"/>
+<install channel="1" kind="package" name="make" arch="x86_64" version="3.81" release="62"/>
+<install channel="1" kind="package" name="man" arch="x86_64" version="2.4.3" release="82"/>
+<install channel="1" kind="package" name="mcelog" arch="x86_64" version="0.7" release="53"/>
+<install channel="1" kind="package" name="mdadm" arch="x86_64" version="2.6.2" release="13"/>
+<install channel="1" kind="package" name="microcode_ctl" arch="x86_64" version="1.17" release="29"/>
+<install channel="1" kind="package" name="mingetty" arch="x86_64" version="1.0.7s" release="22"/>
+<install channel="1" kind="package" name="mktemp" arch="x86_64" version="1.5" release="801"/>
+<install channel="1" kind="package" name="mkinitrd" arch="x86_64" version="2.1" release="30"/>
+<install channel="1" kind="package" name="mono-data-sqlite" arch="x86_64" version="1.2.5" release="13"/>
+<install channel="1" kind="package" name="module-init-tools" arch="x86_64" version="3.2.99.pre11" release="19"/>
+<install channel="1" kind="package" name="mono-core" arch="x86_64" version="1.2.5" release="13"/>
+<install channel="1" kind="package" name="mono-data" arch="x86_64" version="1.2.5" release="13"/>
+<install channel="1" kind="package" name="mono-web" arch="x86_64" version="1.2.5" release="13"/>
+<install channel="1" kind="package" name="mozilla-nspr" arch="x86_64" version="4.6.7" release="17"/>
+<install channel="1" kind="package" name="mozilla-nss" arch="x86_64" version="3.11.7" release="9"/>
+<install channel="1" kind="package" name="mozilla-xulrunner181" arch="x86_64" version="1.8.1.4" release="23"/>
+<install channel="1" kind="package" name="mpt-status" arch="x86_64" version="1.2.0" release="65"/>
+<install channel="1" kind="package" name="multipath-tools" arch="x86_64" version="0.4.7" release="75"/>
+<install channel="1" kind="package" name="ncurses" arch="x86_64" version="5.6" release="37"/>
+<install channel="1" kind="package" name="ncurses-32bit" arch="x86_64" version="5.6" release="37"/>
+<install channel="1" kind="package" name="neon" arch="x86_64" version="0.26.4" release="13"/>
+<install channel="1" kind="package" name="net-snmp" arch="x86_64" version="5.4.1" release="12"/>
+<install channel="1" kind="package" name="net-tools" arch="x86_64" version="1.60" release="647"/>
+<install channel="1" kind="package" name="netcat" arch="x86_64" version="1.10" release="940"/>
+<install channel="1" kind="package" name="nfsidmap" arch="x86_64" version="0.20" release="17"/>
+<install channel="1" kind="package" name="netpbm" arch="x86_64" version="10.26.44" release="7"/>
+<install channel="1" kind="package" name="nfs-kernel-server" arch="x86_64" version="1.1.0" release="7"/>
+<install channel="1" kind="package" name="nscd" arch="x86_64" version="2.6.1" release="12"/>
+<install channel="1" kind="package" name="ntfsprogs" arch="x86_64" version="1.13.1" release="46"/>
+<install channel="1" kind="package" name="numlockx" arch="x86_64" version="1.1" release="76"/>
+<install channel="1" kind="package" name="numactl" arch="x86_64" version="1.0.1" release="6"/>
+<install channel="1" kind="package" name="ocrad" arch="x86_64" version="0.17" release="9"/>
+<install channel="1" kind="package" name="openSUSE-release" arch="x86_64" version="10.3" release="69"/>
+<install channel="1" kind="package" name="openct" arch="x86_64" version="0.6.13" release="7"/>
+<install channel="1" kind="package" name="openldap2-client" arch="x86_64" version="2.3.37" release="16"/>
+<install channel="1" kind="package" name="openldap2-client-32bit" arch="x86_64" version="2.3.37" release="16"/>
+<install channel="1" kind="package" name="openobex" arch="x86_64" version="1.3" release="74"/>
+<install channel="1" kind="package" name="opensc" arch="x86_64" version="0.11.3" release="16"/>
+<install channel="1" kind="package" name="openslp" arch="x86_64" version="1.2.0" release="92"/>
+<install channel="1" kind="package" name="openssl" arch="x86_64" version="0.9.8e" release="40"/>
+<install channel="1" kind="package" name="openssh" arch="x86_64" version="4.6p1" release="52"/>
+<install channel="1" kind="package" name="openssh-askpass" arch="x86_64" version="4.6p1" release="52"/>
+<install channel="1" kind="package" name="opensuse-updater-kde" arch="x86_64" version="0.6" release="14"/>
+<install channel="1" kind="package" name="orbit2" arch="x86_64" version="2.14.8" release="10"/>
+<install channel="1" kind="package" name="orbit2-32bit" arch="x86_64" version="2.14.8" release="10"/>
+<install channel="1" kind="package" name="pam" arch="x86_64" version="0.99.8.1" release="12"/>
+<install channel="1" kind="package" name="pam-config" arch="x86_64" version="0.23" release="6"/>
+<install channel="1" kind="package" name="pam-modules" arch="x86_64" version="10.3" release="44"/>
+<install channel="1" kind="package" name="pango" arch="x86_64" version="1.18.1" release="3"/>
+<install channel="1" kind="package" name="parted" arch="x86_64" version="1.8.7" release="35"/>
+<install channel="1" kind="package" name="pango-32bit" arch="x86_64" version="1.18.1" release="3"/>
+<install channel="1" kind="package" name="patch" arch="x86_64" version="2.5.9" release="216"/>
+<install channel="1" kind="package" name="pax" arch="x86_64" version="3.4" release="70"/>
+<install channel="1" kind="package" name="pcmciautils" arch="x86_64" version="014" release="38"/>
+<install channel="1" kind="package" name="pciutils" arch="x86_64" version="2.2.6" release="14"/>
+<install channel="1" kind="package" name="pcre" arch="x86_64" version="7.2" release="11"/>
+<install channel="1" kind="package" name="pcre-32bit" arch="x86_64" version="7.2" release="11"/>
+<install channel="1" kind="package" name="pcsc-lite" arch="x86_64" version="1.4.3" release="12"/>
+<install channel="1" kind="package" name="perl" arch="x86_64" version="5.8.8" release="73"/>
+<install channel="1" kind="package" name="perl-Bootloader" arch="x86_64" version="0.4.24" release="2"/>
+<install channel="1" kind="package" name="perl-Config-Crontab" arch="x86_64" version="1.21" release="8"/>
+<install channel="1" kind="package" name="perl-Compress-Zlib" arch="x86_64" version="2.005" release="10"/>
+<install channel="1" kind="package" name="perl-Crypt-SmbHash" arch="x86_64" version="0.12" release="69"/>
+<install channel="1" kind="package" name="perl-Crypt-SSLeay" arch="x86_64" version="0.56" release="12"/>
+<install channel="1" kind="package" name="perl-Digest-HMAC" arch="x86_64" version="1.01" release="563"/>
+<install channel="1" kind="package" name="perl-Digest-MD4" arch="x86_64" version="1.5" release="68"/>
+<install channel="1" kind="package" name="perl-Digest-SHA1" arch="x86_64" version="2.11" release="58"/>
+<install channel="1" kind="package" name="perl-HTML-Parser" arch="x86_64" version="3.56" release="36"/>
+<install channel="1" kind="package" name="perl-HTML-Tagset" arch="x86_64" version="3.10" release="68"/>
+<install channel="1" kind="package" name="perl-IO-Zlib" arch="x86_64" version="1.06" release="10"/>
+<install channel="1" kind="package" name="perl-Net-DNS" arch="x86_64" version="0.60" release="13"/>
+<install channel="1" kind="package" name="perl-Net-IP" arch="x86_64" version="1.23" release="70"/>
+<install channel="1" kind="package" name="perl-TermReadKey" arch="x86_64" version="2.30" release="69"/>
+<install channel="1" kind="package" name="perl-URI" arch="x86_64" version="1.35" release="71"/>
+<install channel="1" kind="package" name="perl-XML-Parser" arch="x86_64" version="2.34" release="104"/>
+<install channel="1" kind="package" name="permissions" arch="x86_64" version="2007.8.10" release="8"/>
+<install channel="1" kind="package" name="perl-XML-Writer" arch="x86_64" version="0.603" release="14"/>
+<install channel="1" kind="package" name="perl-gettext" arch="x86_64" version="1.05" release="70"/>
+<install channel="1" kind="package" name="perl-libwww-perl" arch="x86_64" version="5.806" release="10"/>
+<install channel="1" kind="package" name="perl-spamassassin" arch="x86_64" version="3.2.3" release="7"/>
+<install channel="1" kind="package" name="poppler" arch="x86_64" version="0.5.4" release="95"/>
+<install channel="1" kind="package" name="pm-utils" arch="x86_64" version="0.99.3.20070618" release="13"/>
+<install channel="1" kind="package" name="pinentry" arch="x86_64" version="0.7.2" release="116"/>
+<install channel="1" kind="package" name="pilot-link" arch="x86_64" version="0.12.2" release="20"/>
+<install channel="1" kind="package" name="pkg-config" arch="x86_64" version="0.21" release="35"/>
+<install channel="1" kind="package" name="pmtools" arch="x86_64" version="20061026" release="41"/>
+<install channel="1" kind="package" name="poppler-qt" arch="x86_64" version="0.5.4" release="95"/>
+<install channel="1" kind="package" name="popt" arch="x86_64" version="1.7" release="364"/>
+<install channel="1" kind="package" name="portmap" arch="x86_64" version="6.0+git20070513" release="22"/>
+<install channel="1" kind="package" name="postfix" arch="x86_64" version="2.4.5" release="16"/>
+<install channel="1" kind="package" name="powersave" arch="x86_64" version="0.15.17" release="5"/>
+<install channel="1" kind="package" name="powersave-libs" arch="x86_64" version="0.15.17" release="5"/>
+<install channel="1" kind="package" name="ppp" arch="x86_64" version="2.4.4" release="67"/>
+<install channel="1" kind="package" name="pptp" arch="x86_64" version="1.7.1" release="48"/>
+<install channel="1" kind="package" name="prctl" arch="x86_64" version="1.3" release="424"/>
+<install channel="1" kind="package" name="preload" arch="x86_64" version="0.2" release="105"/>
+<install channel="1" kind="package" name="procinfo" arch="x86_64" version="18" release="125"/>
+<install channel="1" kind="package" name="procps" arch="x86_64" version="3.2.7" release="64"/>
+<install channel="1" kind="package" name="procmail" arch="x86_64" version="3.22" release="135"/>
+<install channel="1" kind="package" name="psmisc" arch="x86_64" version="22.5" release="27"/>
+<install channel="1" kind="package" name="pwdutils" arch="x86_64" version="3.1.4" release="23"/>
+<install channel="1" kind="package" name="python" arch="x86_64" version="2.5.1" release="32"/>
+<install channel="1" kind="package" name="python-qt" arch="x86_64" version="3.17.3" release="13"/>
+<install channel="1" kind="package" name="python-xml" arch="x86_64" version="2.5.1" release="32"/>
+<install channel="1" kind="package" name="qca" arch="x86_64" version="1.0" release="113"/>
+<install channel="1" kind="package" name="qt3" arch="x86_64" version="3.3.8" release="70"/>
+<install channel="1" kind="package" name="qt3-32bit" arch="x86_64" version="3.3.8" release="70"/>
+<install channel="1" kind="package" name="qtcurve-gtk2" arch="x86_64" version="0.52.3" release="25"/>
+<install channel="1" kind="package" name="qtcurve-gtk2-32bit" arch="x86_64" version="0.52.3" release="25"/>
+<install channel="1" kind="package" name="qtcurve-kde" arch="x86_64" version="0.52.3" release="25"/>
+<install channel="1" kind="package" name="rdesktop" arch="x86_64" version="1.5.0" release="74"/>
+<install channel="1" kind="package" name="recode" arch="x86_64" version="3.6" release="560"/>
+<install channel="1" kind="package" name="reiserfs" arch="x86_64" version="3.6.19" release="88"/>
+<install channel="1" kind="package" name="resmgr" arch="x86_64" version="1.1.0_SVNr143" release="8"/>
+<install channel="1" kind="package" name="rpm" arch="x86_64" version="4.4.2" release="136"/>
+<install channel="1" kind="package" name="rsync" arch="x86_64" version="2.6.9" release="48"/>
+<install channel="1" kind="package" name="rrdtool" arch="x86_64" version="1.2.23" release="41"/>
+<install channel="1" kind="package" name="ruby" arch="x86_64" version="1.8.6.p36" release="16"/>
+<install channel="1" kind="package" name="sane-backends" arch="x86_64" version="1.0.18" release="75"/>
+<install channel="1" kind="package" name="sash" arch="x86_64" version="3.7" release="105"/>
+<install channel="1" kind="package" name="sane-frontends" arch="x86_64" version="1.0.14" release="133"/>
+<install channel="1" kind="package" name="sax2" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="sax2-gui" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="sax2-ident" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="sax2-libsax" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="sax2-libsax-perl" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="sax2-tools" arch="x86_64" version="8.1" release="242"/>
+<install channel="1" kind="package" name="scsi" arch="x86_64" version="1.7_2.37_1.25_0.19_1.02_0.93" release="14"/>
+<install channel="1" kind="package" name="scpm" arch="x86_64" version="1.1.6pre2" release="9"/>
+<install channel="1" kind="package" name="screen" arch="x86_64" version="4.0.2" release="124"/>
+<install channel="1" kind="package" name="sed" arch="x86_64" version="4.1.5" release="61"/>
+<install channel="1" kind="package" name="sensors" arch="x86_64" version="2.10.4" release="16"/>
+<install channel="1" kind="package" name="shared-mime-info" arch="x86_64" version="0.22" release="10"/>
+<install channel="1" kind="package" name="sharutils" arch="x86_64" version="4.6.2" release="77"/>
+<install channel="1" kind="package" name="smartmontools" arch="x86_64" version="5.37" release="12"/>
+<install channel="1" kind="package" name="smpppd" arch="x86_64" version="1.59" release="81"/>
+<install channel="1" kind="package" name="speex" arch="x86_64" version="1.1.99.2" release="23"/>
+<install channel="1" kind="package" name="spamassassin" arch="x86_64" version="3.2.3" release="7"/>
+<install channel="1" kind="package" name="sqlite2" arch="x86_64" version="2.8.17" release="84"/>
+<install channel="1" kind="package" name="sqlite" arch="x86_64" version="3.4.1" release="10"/>
+<install channel="1" kind="package" name="tcpdump" arch="x86_64" version="3.9.7" release="11"/>
+<install channel="1" kind="package" name="strace" arch="x86_64" version="4.5.16" release="8"/>
+<install channel="1" kind="package" name="syslog-ng" arch="x86_64" version="1.6.12" release="30"/>
+<install channel="1" kind="package" name="suspend" arch="x86_64" version="0.69.9" release="5"/>
+<install channel="1" kind="package" name="sudo" arch="x86_64" version="1.6.9p2" release="19"/>
+<install channel="1" kind="package" name="sumf" arch="x86_64" version="0.2.4pre2" release="19"/>
+<install channel="1" kind="package" name="sysfsutils" arch="x86_64" version="2.1.0" release="58"/>
+<install channel="1" kind="package" name="sysconfig" arch="x86_64" version="0.70.0" release="10"/>
+<install channel="1" kind="package" name="sysvinit" arch="x86_64" version="2.86" release="99"/>
+<install channel="1" kind="package" name="taglib" arch="x86_64" version="1.4" release="109"/>
+<install channel="1" kind="package" name="tar" arch="x86_64" version="1.17" release="18"/>
+<install channel="1" kind="package" name="tcl" arch="x86_64" version="8.4.15" release="19"/>
+<install channel="1" kind="package" name="tcpd" arch="x86_64" version="7.6" release="788"/>
+<install channel="1" kind="package" name="tcsh" arch="x86_64" version="6.15.00" release="17"/>
+<install channel="1" kind="package" name="telnet" arch="x86_64" version="1.2" release="74"/>
+<install channel="1" kind="package" name="terminfo" arch="x86_64" version="5.6" release="37"/>
+<install channel="1" kind="package" name="timezone" arch="x86_64" version="2007g" release="6"/>
+<install channel="1" kind="package" name="tightvnc" arch="x86_64" version="1.3.9" release="10"/>
+<install channel="1" kind="package" name="tk" arch="x86_64" version="8.4.15" release="20"/>
+<install channel="1" kind="package" name="udev" arch="x86_64" version="114" release="12"/>
+<install channel="1" kind="package" name="ufraw-gimp" arch="x86_64" version="0.12" release="23"/>
+<install channel="1" kind="package" name="ufraw" arch="x86_64" version="0.12" release="23"/>
+<install channel="1" kind="package" name="unclutter" arch="x86_64" version="8" release="939"/>
+<install channel="1" kind="package" name="unzip" arch="x86_64" version="5.52" release="74"/>
+<install channel="1" kind="package" name="usbutils" arch="x86_64" version="0.72" release="60"/>
+<install channel="1" kind="package" name="utempter" arch="x86_64" version="0.5.5" release="73"/>
+<install channel="1" kind="package" name="util-linux" arch="x86_64" version="2.12r+2.13rc2+git20070725" release="19"/>
+<install channel="1" kind="package" name="v4l-conf" arch="x86_64" version="3.95" release="93"/>
+<install channel="1" kind="package" name="vim" arch="x86_64" version="7.1" release="40"/>
+<install channel="1" kind="package" name="vlan" arch="x86_64" version="1.9" release="48"/>
+<install channel="1" kind="package" name="w3m" arch="x86_64" version="0.5.2" release="29"/>
+<install channel="1" kind="package" name="wbxml2" arch="x86_64" version="0.9.2_SVN48" release="26"/>
+<install channel="1" kind="package" name="wdiff" arch="x86_64" version="0.5.2" release="731"/>
+<install channel="1" kind="package" name="wget" arch="x86_64" version="1.10.2" release="74"/>
+<install channel="1" kind="package" name="wireless-tools" arch="x86_64" version="29pre22" release="13"/>
+<install channel="1" kind="package" name="wodim" arch="x86_64" version="1.1.6" release="18"/>
+<install channel="1" kind="package" name="wpa_supplicant" arch="x86_64" version="0.5.8" release="25"/>
+<install channel="1" kind="package" name="wol" arch="x86_64" version="0.7.1" release="71"/>
+<install channel="1" kind="package" name="wv" arch="x86_64" version="1.2.2" release="70"/>
+<install channel="1" kind="package" name="wvdial" arch="x86_64" version="1.56" release="18"/>
+<install channel="1" kind="package" name="wvstreams" arch="x86_64" version="4.2.2" release="56"/>
+<install channel="1" kind="package" name="x11-input-wacom-tools" arch="x86_64" version="0.7.8" release="32"/>
+<install channel="1" kind="package" name="xaw3d" arch="x86_64" version="1.5E" release="316"/>
+<install channel="1" kind="package" name="x11-input-wacom" arch="x86_64" version="0.7.8" release="32"/>
+<install channel="1" kind="package" name="x11-tools" arch="x86_64" version="0.1" release="97"/>
+<install channel="1" kind="package" name="x11-input-synaptics" arch="x86_64" version="0.14.6" release="98"/>
+<install channel="1" kind="package" name="xdmbgrd" arch="x86_64" version="0.6" release="86"/>
+<install channel="1" kind="package" name="xdg-menu" arch="x86_64" version="0.2" release="125"/>
+<install channel="1" kind="package" name="xorg-x11-driver-input" arch="x86_64" version="7.2" release="104"/>
+<install channel="1" kind="package" name="xfsprogs" arch="x86_64" version="2.8.21" release="18"/>
+<install channel="1" kind="package" name="xine-lib" arch="x86_64" version="1.1.8" release="8"/>
+<install channel="1" kind="package" name="xinetd" arch="x86_64" version="2.3.14" release="74"/>
+<install channel="1" kind="package" name="xli" arch="x86_64" version="20061110" release="35"/>
+<install channel="1" kind="package" name="xlockmore" arch="x86_64" version="5.24" release="15"/>
+<install channel="1" kind="package" name="xntp" arch="x86_64" version="4.2.4p3" release="21"/>
+<install channel="1" kind="package" name="xorg-x11" arch="x86_64" version="7.2" release="130"/>
+<install channel="1" kind="package" name="xorg-x11-Xvnc" arch="x86_64" version="7.1" release="86"/>
+<install channel="1" kind="package" name="xorg-x11-libX11-ccache" arch="x86_64" version="7.2" release="83"/>
+<install channel="1" kind="package" name="xorg-x11-driver-video" arch="x86_64" version="7.2" release="178"/>
+<install channel="1" kind="package" name="xorg-x11-libICE-32bit" arch="x86_64" version="7.2" release="58"/>
+<install channel="1" kind="package" name="xorg-x11-libICE" arch="x86_64" version="7.2" release="58"/>
+<install channel="1" kind="package" name="xorg-x11-libSM-32bit" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libSM" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libX11-32bit" arch="x86_64" version="7.2" release="71"/>
+<install channel="1" kind="package" name="xorg-x11-libX11" arch="x86_64" version="7.2" release="71"/>
+<install channel="1" kind="package" name="xorg-x11-libXau-32bit" arch="x86_64" version="7.2" release="51"/>
+<install channel="1" kind="package" name="xorg-x11-libXau" arch="x86_64" version="7.2" release="51"/>
+<install channel="1" kind="package" name="xorg-x11-libXdmcp" arch="x86_64" version="7.2" release="50"/>
+<install channel="1" kind="package" name="xorg-x11-libXext-32bit" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXext" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXfixes-32bit" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXfixes" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXmu-32bit" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXmu" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXp-32bit" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libXp" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libXpm-32bit" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXprintUtil" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libXpm" arch="x86_64" version="7.2" release="60"/>
+<install channel="1" kind="package" name="xorg-x11-libXprintUtil-32bit" arch="x86_64" version="7.2" release="55"/>
+<install channel="1" kind="package" name="xorg-x11-libXrender-32bit" arch="x86_64" version="7.2" release="61"/>
+<install channel="1" kind="package" name="xorg-x11-libXrender" arch="x86_64" version="7.2" release="61"/>
+<install channel="1" kind="package" name="xorg-x11-libXt-32bit" arch="x86_64" version="7.2" release="61"/>
+<install channel="1" kind="package" name="xorg-x11-libXt" arch="x86_64" version="7.2" release="61"/>
+<install channel="1" kind="package" name="xorg-x11-libXv" arch="x86_64" version="7.2" release="56"/>
+<install channel="1" kind="package" name="xorg-x11-libXv-32bit" arch="x86_64" version="7.2" release="56"/>
+<install channel="1" kind="package" name="xorg-x11-libfontenc-32bit" arch="x86_64" version="7.2" release="56"/>
+<install channel="1" kind="package" name="xorg-x11-libfontenc" arch="x86_64" version="7.2" release="56"/>
+<install channel="1" kind="package" name="xorg-x11-libs" arch="x86_64" version="7.2" release="98"/>
+<install channel="1" kind="package" name="xorg-x11-libs-32bit" arch="x86_64" version="7.2" release="98"/>
+<install channel="1" kind="package" name="xorg-x11-libxkbfile-32bit" arch="x86_64" version="7.2" release="59"/>
+<install channel="1" kind="package" name="xorg-x11-libxkbfile" arch="x86_64" version="7.2" release="59"/>
+<install channel="1" kind="package" name="xorg-x11-server" arch="x86_64" version="7.2" release="137"/>
+<install channel="1" kind="package" name="xournal" arch="x86_64" version="0.3.3" release="68"/>
+<install channel="1" kind="package" name="xpdf-tools" arch="x86_64" version="3.02" release="15"/>
+<install channel="1" kind="package" name="xscreensaver" arch="x86_64" version="5.03" release="19"/>
+<install channel="1" kind="package" name="xstroke" arch="x86_64" version="0.6" release="106"/>
+<install channel="1" kind="package" name="xterm" arch="x86_64" version="229" release="12"/>
+<install channel="1" kind="package" name="xtermset" arch="x86_64" version="0.5.2" release="191"/>
+<install channel="1" kind="package" name="yast2-control-center" arch="x86_64" version="2.15.4" release="7"/>
+<install channel="1" kind="package" name="yast2-country" arch="x86_64" version="2.15.19" release="3"/>
+<install channel="1" kind="package" name="xvkbd" arch="x86_64" version="2.8" release="75"/>
+<install channel="1" kind="package" name="yast2" arch="x86_64" version="2.15.58" release="2"/>
+<install channel="1" kind="package" name="yast2-bootloader" arch="x86_64" version="2.15.20" release="2"/>
+<install channel="1" kind="package" name="yast2-core" arch="x86_64" version="2.15.11" release="4"/>
+<install channel="1" kind="package" name="yast2-hardware-detection" arch="x86_64" version="2.15.8" release="27"/>
+<install channel="1" kind="package" name="yast2-ldap" arch="x86_64" version="2.15.1" release="73"/>
+<install channel="1" kind="package" name="yast2-network" arch="x86_64" version="2.15.76" release="2"/>
+<install channel="1" kind="package" name="yast2-mouse" arch="x86_64" version="2.15.1" release="71"/>
+<install channel="1" kind="package" name="yast2-nis-client" arch="x86_64" version="2.15.3" release="11"/>
+<install channel="1" kind="package" name="yast2-ncurses" arch="x86_64" version="2.15.27" release="4"/>
+<install channel="1" kind="package" name="yast2-perl-bindings" arch="x86_64" version="2.15.3" release="17"/>
+<install channel="1" kind="package" name="yast2-packager" arch="x86_64" version="2.15.78" release="2"/>
+<install channel="1" kind="package" name="yast2-pkg-bindings" arch="x86_64" version="2.15.49" release="7"/>
+<install channel="1" kind="package" name="yast2-profile-manager" arch="x86_64" version="2.15.0" release="40"/>
+<install channel="1" kind="package" name="yast2-printer" arch="x86_64" version="2.15.5" release="7"/>
+<install channel="1" kind="package" name="yast2-slp" arch="x86_64" version="2.15.0" release="21"/>
+<install channel="1" kind="package" name="yast2-qt" arch="x86_64" version="2.15.16" release="7"/>
+<install channel="1" kind="package" name="yast2-sound" arch="x86_64" version="2.15.11" release="8"/>
+<install channel="1" kind="package" name="yast2-tune" arch="x86_64" version="2.15.7" release="8"/>
+<install channel="1" kind="package" name="yast2-storage-evms" arch="x86_64" version="2.15.24" release="7"/>
+<install channel="1" kind="package" name="yast2-storage" arch="x86_64" version="2.15.24" release="7"/>
+<install channel="1" kind="package" name="yast2-transfer" arch="x86_64" version="2.14.0" release="97"/>
+<install channel="1" kind="package" name="yast2-storage-lib" arch="x86_64" version="2.15.24" release="7"/>
+<install channel="1" kind="package" name="yast2-update" arch="x86_64" version="2.15.23" release="9"/>
+<install channel="1" kind="package" name="yast2-users" arch="x86_64" version="2.15.36" release="18"/>
+<install channel="1" kind="package" name="yast2-xml" arch="x86_64" version="2.15.0" release="50"/>
+<install channel="1" kind="package" name="yp-tools" arch="x86_64" version="2.9" release="73"/>
+<install channel="1" kind="package" name="ypbind" arch="x86_64" version="1.20.5" release="47"/>
+<install channel="1" kind="package" name="zip" arch="x86_64" version="2.32" release="8"/>
+<install channel="1" kind="package" name="zisofs-tools" arch="x86_64" version="1.0.6" release="72"/>
+<install channel="1" kind="package" name="zlib" arch="x86_64" version="1.2.3" release="72"/>
+<install channel="1" kind="package" name="zvbi" arch="x86_64" version="0.2.16" release="90"/>
+<install channel="1" kind="package" name="zlib-32bit" arch="x86_64" version="1.2.3" release="72"/>
+<install channel="1" kind="package" name="zypper" arch="x86_64" version="0.8.19" release="10"/>
+<install channel="1" kind="package" name="zsh" arch="x86_64" version="4.3.4" release="29"/>
+<install channel="1" kind="pattern" name="base" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="fonts" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="imaging" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="kde" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="kde_basis" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="kde_imaging" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="kde_laptop" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="laptop" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="non_oss" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="non_oss_java" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="sw_management" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="x11" arch="x86_64" version="10.3" release="138"/>
+<install channel="1" kind="pattern" name="yast2_basis" arch="x86_64" version="10.3" release="138"/>
+<uninstall  kind="package" name="libkexif"/>
+<uninstall  kind="package" name="cpp41"/>
+<uninstall  kind="package" name="gcc41-gij"/>
+<uninstall  kind="package" name="flac-32bit"/>
+<uninstall  kind="package" name="openssl-32bit"/>
+<uninstall  kind="package" name="startup-notification-32bit"/>
+<uninstall  kind="package" name="python-32bit"/>
+<uninstall  kind="package" name="bzip2-32bit"/>
+<uninstall  kind="package" name="libltdl"/>
+<uninstall  kind="package" name="gnome-mime-data"/>
+<uninstall  kind="package" name="libgnome-32bit"/>
+<uninstall  kind="package" name="qscintilla"/>
+<uninstall  kind="package" name="popt-32bit"/>
+<uninstall  kind="package" name="xorg-x11-libXdmcp-32bit"/>
+<uninstall  kind="package" name="esound-32bit"/>
+<uninstall  kind="package" name="libstdc++41-32bit"/>
+<uninstall  kind="package" name="libcom_err"/>
+<uninstall  kind="package" name="libtiff-32bit"/>
+<uninstall  kind="package" name="neon-32bit"/>
+<uninstall  kind="package" name="nfs-utils"/>
+<uninstall  kind="package" name="libcom_err-32bit"/>
+<uninstall  kind="package" name="libogg-32bit"/>
+<uninstall  kind="package" name="libtiff"/>
+<uninstall  kind="package" name="curl-32bit"/>
+<uninstall  kind="package" name="libmpcdec"/>
+<uninstall  kind="package" name="libbonobo-32bit"/>
+<uninstall  kind="package" name="gnome-filesystem"/>
+<uninstall  kind="package" name="checkmedia"/>
+<uninstall  kind="package" name="kdepim3-networkstatus"/>
+<uninstall  kind="package" name="opensuse-updater"/>
+<uninstall  kind="package" name="madwifi"/>
+<uninstall  kind="package" name="expat-32bit"/>
+<uninstall  kind="package" name="readline"/>
+<uninstall  kind="package" name="libstdc++41"/>
+<uninstall  kind="package" name="libtheora-32bit"/>
+<uninstall  kind="package" name="readline-32bit"/>
+<uninstall  kind="package" name="mozilla-nss-32bit"/>
+<uninstall  kind="package" name="gstreamer010-32bit"/>
+<uninstall  kind="package" name="libtheora"/>
+<uninstall  kind="package" name="ImageMagick-Magick++"/>
+<uninstall  kind="package" name="libsyncml"/>
+<uninstall  kind="package" name="wlan-kmp-default"/>
+<uninstall  kind="package" name="yast2-bootfloppy"/>
+<uninstall  kind="package" name="libgcc41"/>
+<uninstall  kind="package" name="mDNSResponder-lib"/>
+<uninstall  kind="package" name="alsa-32bit"/>
+<uninstall  kind="package" name="mozilla-nspr-32bit"/>
+<uninstall  kind="package" name="libgcc41-32bit"/>
+<uninstall  kind="package" name="cdparanoia-32bit"/>
+<uninstall  kind="package" name="yast2-mail-aliases"/>
+<uninstall  kind="package" name="gpg"/>
+<uninstall  kind="package" name="libgcj41"/>
+<uninstall  kind="package" name="libgcj41-32bit"/>
+<uninstall  kind="package" name="sane"/>
+<uninstall  kind="package" name="yast2-power-management"/>
+<uninstall  kind="package" name="audiofile-32bit"/>
+<uninstall  kind="package" name="liboil-32bit"/>
+<uninstall  kind="package" name="libvorbis-32bit"/>
+<uninstall  kind="package" name="pkgconfig"/>
+<uninstall  kind="package" name="db-32bit"/>
+<uninstall  kind="package" name="libnetpbm"/>
+<uninstall  kind="package" name="limal-bootloader"/>
+<uninstall  kind="package" name="gstreamer010-plugins-base-32bit"/>
+<uninstall  kind="package" name="yast2-powertweak"/>
+<uninstall  kind="package" name="opensuse-quickstart_en"/>
+<uninstall  kind="package" name="mDNSResponder-lib-32bit"/>
+<uninstall  kind="package" name="libmusicbrainz"/>
+<uninstall  kind="package" name="libsndfile-32bit"/>
+<uninstall  kind="package" name="mkisofs"/>
+<uninstall  kind="package" name="libgpod"/>
+<uninstall  kind="package" name="gcc41-gij-32bit"/>
+<uninstall  kind="package" name="java-1_4_2-gcj-compat-32bit"/>
   <reportproblems/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/exercise-bug150844-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/exercise-bug150844-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/exercise-bug150844-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/exercise-bug150844-test.xml Fri Oct 19 11:11:30 2007
@@ -9,7 +9,544 @@
   <channel name="sel" file="bug150844-selections.xml.gz"/>
 </setup>
 <trial>
-  <distupgrade/>
+<install channel="pkg" kind="package" name="ghostscript-library" arch="i586" version="8.15.2rc1" release="7"/>
+<install channel="pkg" kind="package" name="ghostscript-x11" arch="i586" version="8.15.2rc1" release="7"/>
+<install channel="pkg" kind="package" name="giflib" arch="i586" version="4.1.4" release="3"/>
+<install channel="pkg" kind="package" name="gle" arch="i586" version="3.0.6" release="650"/>
+<install channel="pkg" kind="package" name="glib" arch="i586" version="1.2.10" release="599"/>
+<install channel="pkg" kind="package" name="glib2" arch="i586" version="2.8.5" release="8"/>
+<install channel="pkg" kind="package" name="glibc-i18ndata" arch="i586" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="glibc-info" arch="i586" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="3ddiag" arch="i586" version="0.729" release="3"/>
+<install channel="pkg" kind="package" name="CheckHardware" arch="i586" version="0.1" release="975"/>
+<install channel="pkg" kind="package" name="Mesa" arch="i586" version="6.4.2" release="2"/>
+<install channel="pkg" kind="package" name="SDL" arch="i586" version="1.2.9" release="6"/>
+<install channel="pkg" kind="package" name="a2ps" arch="i586" version="4.13" release="1063"/>
+<install channel="pkg" kind="package" name="aaa_base" arch="i586" version="10.0.42" release="52"/>
+<install channel="pkg" kind="package" name="aalib" arch="i586" version="1.4.0" release="292"/>
+<install channel="pkg" kind="package" name="aaa_skel" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="acl" arch="i586" version="2.2.34" release="2"/>
+<install channel="pkg" kind="package" name="alsa" arch="i586" version="1.0.11" release="9"/>
+<install channel="pkg" kind="package" name="ash" arch="i586" version="1.6.1" release="5"/>
+<install channel="pkg" kind="package" name="arts" arch="i586" version="1.5.1" release="4"/>
+<install channel="pkg" kind="package" name="at" arch="i586" version="3.1.8" release="910"/>
+<install channel="pkg" kind="package" name="atk" arch="i586" version="1.10.3" release="4"/>
+<install channel="pkg" kind="package" name="attr" arch="i586" version="2.4.28" release="2"/>
+<install channel="pkg" kind="package" name="audiofile" arch="i586" version="0.2.6" release="7"/>
+<install channel="pkg" kind="package" name="autoconf" arch="i586" version="2.59" release="82"/>
+<install channel="pkg" kind="package" name="automake" arch="i586" version="1.9.6" release="3"/>
+<install channel="pkg" kind="package" name="autofs" arch="i586" version="4.1.4" release="11"/>
+<install channel="pkg" kind="package" name="bash" arch="i586" version="3.1" release="8"/>
+<install channel="pkg" kind="package" name="awesfx" arch="i586" version="0.5.0d" release="5"/>
+<install channel="pkg" kind="package" name="bc" arch="i586" version="1.06" release="753"/>
+<install channel="pkg" kind="package" name="bin86" arch="i586" version="0.16.0" release="191"/>
+<install channel="pkg" kind="package" name="bind-utils" arch="i586" version="9.3.2" release="5"/>
+<install channel="pkg" kind="package" name="binutils" arch="i586" version="2.16.91.0.5" release="4"/>
+<install channel="pkg" kind="package" name="bison" arch="i586" version="2.1" release="3"/>
+<install channel="pkg" kind="package" name="compat" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="bootcycle" arch="i586" version="0.3" release="101"/>
+<install channel="pkg" kind="package" name="bootsplash" arch="i586" version="3.3" release="5"/>
+<install channel="pkg" kind="package" name="bootsplash-theme-SuSE-SLES" arch="i586" version="3.1" release="53"/>
+<install channel="pkg" kind="package" name="busybox" arch="i586" version="1.1.0" release="3"/>
+<install channel="pkg" kind="package" name="bzip2" arch="i586" version="1.0.3" release="7"/>
+<install channel="pkg" kind="package" name="cabextract" arch="i586" version="1.1" release="6"/>
+<install channel="pkg" kind="package" name="capi4linux" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="cdk" arch="i586" version="4.9.13" release="5"/>
+<install channel="pkg" kind="package" name="cdparanoia" arch="i586" version="IIIalpha9.8" release="551"/>
+<install channel="pkg" kind="package" name="cdrdao" arch="i586" version="1.2.0" release="5"/>
+<install channel="pkg" kind="package" name="cpio" arch="i586" version="2.6" release="8"/>
+<install channel="pkg" kind="package" name="coreutils" arch="i586" version="5.93" release="10"/>
+<install channel="pkg" kind="package" name="cracklib" arch="i586" version="2.8.6" release="2"/>
+<install channel="pkg" kind="package" name="cron" arch="i586" version="4.1" release="31"/>
+<install channel="pkg" kind="package" name="cpp" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="cups" arch="i586" version="1.1.23" release="27"/>
+<install channel="pkg" kind="package" name="cups-client" arch="i586" version="1.1.23" release="27"/>
+<install channel="pkg" kind="package" name="cups-SUSE-ppds-dat" arch="i586" version="1.1.20" release="107"/>
+<install channel="pkg" kind="package" name="cups-drivers" arch="i586" version="1.1.23" release="15"/>
+<install channel="pkg" kind="package" name="cups-drivers-stp" arch="i586" version="1.1.23" release="15"/>
+<install channel="pkg" kind="package" name="cups-libs" arch="i586" version="1.1.23" release="27"/>
+<install channel="pkg" kind="package" name="curl" arch="i586" version="7.15.1" release="5"/>
+<install channel="pkg" kind="package" name="cyrus-sasl" arch="i586" version="2.1.21" release="6"/>
+<install channel="pkg" kind="package" name="cvs" arch="i586" version="1.12.12" release="8"/>
+<install channel="pkg" kind="package" name="db-utils" arch="i586" version="4.3.29" release="5"/>
+<install channel="pkg" kind="package" name="device-mapper" arch="i586" version="1.02.02" release="4"/>
+<install channel="pkg" kind="package" name="devs" arch="i586" version="10.0.42" release="3"/>
+<install channel="pkg" kind="package" name="dhcpcd" arch="i586" version="1.3.22pl4" release="213"/>
+<install channel="pkg" kind="package" name="dialog" arch="i586" version="0.9b" release="194"/>
+<install channel="pkg" kind="package" name="diffutils" arch="i586" version="2.8.7" release="6"/>
+<install channel="pkg" kind="package" name="dirmngr" arch="i586" version="0.9.2" release="4"/>
+<install channel="pkg" kind="package" name="dos2unix" arch="i586" version="3.1" release="306"/>
+<install channel="pkg" kind="package" name="dosfstools" arch="i586" version="2.11" release="5"/>
+<install channel="pkg" kind="package" name="dosbootdisk" arch="i586" version="1.1" release="42"/>
+<install channel="pkg" kind="package" name="dvd+rw-tools" arch="i586" version="6.1" release="2"/>
+<install channel="pkg" kind="package" name="e2fsprogs" arch="i586" version="1.38" release="15"/>
+<install channel="pkg" kind="package" name="ed" arch="i586" version="0.2" release="871"/>
+<install channel="pkg" kind="package" name="eject" arch="i586" version="2.1.0" release="2"/>
+<install channel="pkg" kind="package" name="enscript" arch="i586" version="1.6.4" release="9"/>
+<install channel="pkg" kind="package" name="esound" arch="i586" version="0.2.36" release="6"/>
+<install channel="pkg" kind="package" name="ethtool" arch="i586" version="3" release="5"/>
+<install channel="pkg" kind="package" name="expect" arch="i586" version="5.43.0" release="6"/>
+<install channel="pkg" kind="package" name="expat" arch="i586" version="2.0.0" release="3"/>
+<install channel="pkg" kind="package" name="evms" arch="i586" version="2.5.4" release="3"/>
+<install channel="pkg" kind="package" name="evms-gui" arch="i586" version="2.5.4" release="3"/>
+<install channel="pkg" kind="package" name="fam" arch="i586" version="2.6.10" release="136"/>
+<install channel="pkg" kind="package" name="fbset" arch="i586" version="2.1" release="787"/>
+<install channel="pkg" kind="package" name="fetchmail" arch="i586" version="6.3.2" release="3"/>
+<install channel="pkg" kind="package" name="file" arch="i586" version="4.16" release="4"/>
+<install channel="pkg" kind="package" name="findutils" arch="i586" version="4.2.27" release="3"/>
+<install channel="pkg" kind="package" name="fillup" arch="i586" version="1.42" release="108"/>
+<install channel="pkg" kind="package" name="filters" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="filesystem" arch="i586" version="10.0.42" release="7"/>
+<install channel="pkg" kind="package" name="finger" arch="i586" version="1.3" release="4"/>
+<install channel="pkg" kind="package" name="flac" arch="i586" version="1.1.2" release="5"/>
+<install channel="pkg" kind="package" name="flex" arch="i586" version="2.5.31" release="6"/>
+<install channel="pkg" kind="package" name="fontconfig" arch="i586" version="2.3.93.20060210" release="2"/>
+<install channel="pkg" kind="package" name="fltk" arch="i586" version="1.1.6" release="7"/>
+<install channel="pkg" kind="package" name="fontconfig-devel" arch="i586" version="2.3.93.20060210" release="2"/>
+<install channel="pkg" kind="package" name="foomatic-filters" arch="i586" version="3.0.2" release="8"/>
+<install channel="pkg" kind="package" name="freeglut" arch="i586" version="051110" release="4"/>
+<install channel="pkg" kind="package" name="freetype2-devel" arch="i586" version="2.1.10" release="6"/>
+<install channel="pkg" kind="package" name="freetype2" arch="i586" version="2.1.10" release="6"/>
+<install channel="pkg" kind="package" name="fribidi" arch="i586" version="0.10.4" release="488"/>
+<install channel="pkg" kind="package" name="fvwm2" arch="i586" version="2.5.12" release="6"/>
+<install channel="pkg" kind="package" name="gail" arch="i586" version="1.8.8" release="4"/>
+<install channel="pkg" kind="package" name="gawk" arch="i586" version="3.1.5" release="6"/>
+<install channel="pkg" kind="package" name="gcc" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="gcc-c++" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="gcc-info" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="gcc-java" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="gcc-objc" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="gconf2" arch="i586" version="2.12.1" release="12"/>
+<install channel="pkg" kind="package" name="gdb" arch="i586" version="6.4" release="4"/>
+<install channel="pkg" kind="package" name="gdbm" arch="i586" version="1.8.3" release="233"/>
+<install channel="pkg" kind="package" name="gdbm-devel" arch="i586" version="1.8.3" release="233"/>
+<install channel="pkg" kind="package" name="gettext" arch="i586" version="0.14.5" release="3"/>
+<install channel="pkg" kind="package" name="ghostscript-fonts-other" arch="i586" version="8.15.2rc1" release="7"/>
+<install channel="pkg" kind="package" name="ghostscript-fonts-std" arch="i586" version="8.15.2rc1" release="7"/>
+<install channel="pkg" kind="package" name="glibc-locale" arch="i586" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="gnome-filesystem" arch="i586" version="0.1" release="243"/>
+<install channel="pkg" kind="package" name="gnome-mime-data" arch="i586" version="2.4.2" release="9"/>
+<install channel="pkg" kind="package" name="gnome-vfs2" arch="i586" version="2.12.2" release="23"/>
+<install channel="pkg" kind="package" name="gpart" arch="i586" version="0.1h" release="482"/>
+<install channel="pkg" kind="package" name="gpg" arch="i586" version="1.4.2" release="10"/>
+<install channel="pkg" kind="package" name="gpg2" arch="i586" version="1.9.18" release="5"/>
+<install channel="pkg" kind="package" name="gpgme" arch="i586" version="1.0.3" release="5"/>
+<install channel="pkg" kind="package" name="gpm" arch="i586" version="1.20.1" release="311"/>
+<install channel="pkg" kind="package" name="grep" arch="i586" version="2.5.1a" release="8"/>
+<install channel="pkg" kind="package" name="groff" arch="i586" version="1.18.1.1" release="17"/>
+<install channel="pkg" kind="package" name="grub" arch="i586" version="0.97" release="3"/>
+<install channel="pkg" kind="package" name="gtk" arch="i586" version="1.2.10" release="896"/>
+<install channel="pkg" kind="package" name="gtk2" arch="i586" version="2.8.10" release="11"/>
+<install channel="pkg" kind="package" name="guile" arch="i586" version="1.6.7" release="10"/>
+<install channel="pkg" kind="package" name="gzip" arch="i586" version="1.3.5" release="147"/>
+<install channel="pkg" kind="package" name="hal" arch="i586" version="0.5.6" release="8"/>
+<install channel="pkg" kind="package" name="hdparm" arch="i586" version="6.3" release="3"/>
+<install channel="pkg" kind="package" name="hfsutils" arch="i586" version="3.2.6" release="1041"/>
+<install channel="pkg" kind="package" name="htdig" arch="i586" version="3.2.0b6" release="10"/>
+<install channel="pkg" kind="package" name="hwinfo" arch="i586" version="12.5" release="2"/>
+<install channel="pkg" kind="package" name="i4l-base" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="i4l-isdnlog" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="i4lfirm" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="id3lib" arch="i586" version="3.8.3" release="93"/>
+<install channel="pkg" kind="package" name="imlib" arch="i586" version="1.9.14" release="202"/>
+<install channel="pkg" kind="package" name="info" arch="i586" version="4.8" release="12"/>
+<install channel="pkg" kind="package" name="initviocons" arch="i586" version="0.4" release="306"/>
+<install channel="pkg" kind="package" name="insserv" arch="i586" version="1.04.0" release="8"/>
+<install channel="pkg" kind="package" name="iproute2" arch="i586" version="2.6.15" release="2"/>
+<install channel="pkg" kind="package" name="iputils" arch="i586" version="ss021109" release="156"/>
+<install channel="pkg" kind="package" name="iptables" arch="i586" version="1.3.5" release="2"/>
+<install channel="pkg" kind="package" name="isapnp" arch="i586" version="1.26" release="495"/>
+<install channel="pkg" kind="package" name="jfsutils" arch="i586" version="1.1.10" release="3"/>
+<install channel="pkg" kind="package" name="joe" arch="i586" version="3.3" release="5"/>
+<install channel="pkg" kind="package" name="k3b" arch="i586" version="0.12.10" release="12"/>
+<install channel="pkg" kind="package" name="kbd" arch="i586" version="1.12" release="50"/>
+<install channel="pkg" kind="package" name="kdebase3-NLD" arch="i586" version="10.1" release="10"/>
+<install channel="pkg" kind="package" name="kdebase3" arch="i586" version="3.5.1" release="22"/>
+<install channel="pkg" kind="package" name="kdebase3-kdm" arch="i586" version="3.5.1" release="22"/>
+<install channel="pkg" kind="package" name="kdebase3-ksysguardd" arch="i586" version="3.5.1" release="22"/>
+<install channel="pkg" kind="package" name="kdebase3-nsplugin" arch="i586" version="3.5.1" release="22"/>
+<install channel="pkg" kind="package" name="kdebase3-samba" arch="i586" version="3.5.1" release="22"/>
+<install channel="pkg" kind="package" name="kdelibs3" arch="i586" version="3.5.1" release="16"/>
+<install channel="pkg" kind="package" name="kdenetwork3-vnc" arch="i586" version="3.5.1" release="6"/>
+<install channel="pkg" kind="package" name="kdepim3" arch="i586" version="3.5.1" release="11"/>
+<install channel="pkg" kind="package" name="kdeutils3" arch="i586" version="3.5.1" release="6"/>
+<install channel="pkg" kind="package" name="kernel-default" arch="i586" version="2.6.16_rc3" release="2"/>
+<install channel="pkg" kind="package" name="kinternet" arch="i586" version="0.75" release="5"/>
+<install channel="pkg" kind="package" name="kio_slp" arch="i586" version="0.4.1" release="5"/>
+<install channel="pkg" kind="package" name="kpowersave" arch="i586" version="0.5.7" release="2"/>
+<install channel="pkg" kind="package" name="krb5" arch="i586" version="1.4.3" release="6"/>
+<install channel="pkg" kind="package" name="krb5-client" arch="i586" version="1.4.3" release="6"/>
+<install channel="pkg" kind="package" name="krb5-server" arch="i586" version="1.4.3" release="6"/>
+<install channel="pkg" kind="package" name="ksymoops" arch="i586" version="2.4.11" release="7"/>
+<install channel="pkg" kind="package" name="ldapcpplib" arch="i586" version="0.0.4" release="2"/>
+<install channel="pkg" kind="package" name="less" arch="i586" version="394" release="3"/>
+<install channel="pkg" kind="package" name="libacl" arch="i586" version="2.2.34" release="2"/>
+<install channel="pkg" kind="package" name="libaio" arch="i586" version="0.3.104" release="4"/>
+<install channel="pkg" kind="package" name="libaio-devel" arch="i586" version="0.3.104" release="4"/>
+<install channel="pkg" kind="package" name="libart_lgpl" arch="i586" version="2.3.17" release="7"/>
+<install channel="pkg" kind="package" name="libattr" arch="i586" version="2.4.28" release="2"/>
+<install channel="pkg" kind="package" name="libbonobo" arch="i586" version="2.10.1" release="11"/>
+<install channel="pkg" kind="package" name="libcap" arch="i586" version="1.92" release="489"/>
+<install channel="pkg" kind="package" name="libbonoboui" arch="i586" version="2.10.1" release="11"/>
+<install channel="pkg" kind="package" name="libelf" arch="i586" version="0.8.5" release="37"/>
+<install channel="pkg" kind="package" name="libexif" arch="i586" version="0.6.13" release="10"/>
+<install channel="pkg" kind="package" name="libgcc" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libgcj" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libgcrypt" arch="i586" version="1.2.2" release="3"/>
+<install channel="pkg" kind="package" name="libgcj-devel" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libgimpprint" arch="i586" version="4.2.7" release="49"/>
+<install channel="pkg" kind="package" name="libglade2" arch="i586" version="2.5.1" release="13"/>
+<install channel="pkg" kind="package" name="libgnome" arch="i586" version="2.12.0.1" release="11"/>
+<install channel="pkg" kind="package" name="libgnomecanvas" arch="i586" version="2.12.0" release="8"/>
+<install channel="pkg" kind="package" name="libgnomeui" arch="i586" version="2.12.0" release="11"/>
+<install channel="pkg" kind="package" name="libgpg-error" arch="i586" version="1.0" release="6"/>
+<install channel="pkg" kind="package" name="libgsf" arch="i586" version="1.13.3" release="8"/>
+<install channel="pkg" kind="package" name="libidl" arch="i586" version="0.8.6" release="7"/>
+<install channel="pkg" kind="package" name="libidn" arch="i586" version="0.6.0" release="3"/>
+<install channel="pkg" kind="package" name="libjpeg" arch="i586" version="6.2.0" release="741"/>
+<install channel="pkg" kind="package" name="libjasper" arch="i586" version="1.701.0" release="5"/>
+<install channel="pkg" kind="package" name="libksba" arch="i586" version="0.9.12" release="4"/>
+<install channel="pkg" kind="package" name="liblcms" arch="i586" version="1.15" release="2"/>
+<install channel="pkg" kind="package" name="libmikmod" arch="i586" version="3.1.11" release="3"/>
+<install channel="pkg" kind="package" name="libmng" arch="i586" version="1.0.9" release="6"/>
+<install channel="pkg" kind="package" name="libnetpbm" arch="i586" version="1.0.0" release="646"/>
+<install channel="pkg" kind="package" name="libobjc" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libogg" arch="i586" version="1.1.3" release="3"/>
+<install channel="pkg" kind="package" name="libpcap" arch="i586" version="0.9.4" release="2"/>
+<install channel="pkg" kind="package" name="libpng" arch="i586" version="1.2.8" release="8"/>
+<install channel="pkg" kind="package" name="libraw1394" arch="i586" version="1.2.0" release="3"/>
+<install channel="pkg" kind="package" name="librsvg" arch="i586" version="2.12.7" release="4"/>
+<install channel="pkg" kind="package" name="libsamplerate" arch="i586" version="0.1.2" release="5"/>
+<install channel="pkg" kind="package" name="libsmbclient" arch="i586" version="3.0.21b" release="5"/>
+<install channel="pkg" kind="package" name="libstdc++" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libstdc++-devel" arch="i586" version="4.1.0_20060210" release="3"/>
+<install channel="pkg" kind="package" name="libstroke" arch="i586" version="0.5.1" release="4"/>
+<install channel="pkg" kind="package" name="libtiff" arch="i586" version="3.8.0" release="4"/>
+<install channel="pkg" kind="package" name="libtool" arch="i586" version="1.5.22" release="3"/>
+<install channel="pkg" kind="package" name="libusb" arch="i586" version="0.1.11" release="2"/>
+<install channel="pkg" kind="package" name="libvorbis" arch="i586" version="1.1.2" release="3"/>
+<install channel="pkg" kind="package" name="libxcrypt" arch="i586" version="2.4" release="2"/>
+<install channel="pkg" kind="package" name="libxml2" arch="i586" version="2.6.23" release="3"/>
+<install channel="pkg" kind="package" name="libxslt" arch="i586" version="1.1.15" release="4"/>
+<install channel="pkg" kind="package" name="liby2util" arch="i586" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="libzypp" arch="i586" version="0.0.8" release="2"/>
+<install channel="pkg" kind="package" name="lilo" arch="i586" version="22.7" release="7"/>
+<install channel="pkg" kind="package" name="linux-atm-lib" arch="i586" version="2.5.0" release="4"/>
+<install channel="pkg" kind="package" name="logrotate" arch="i586" version="3.7.3" release="3"/>
+<install channel="pkg" kind="package" name="lsb" arch="i586" version="3.0" release="8"/>
+<install channel="pkg" kind="package" name="lsof" arch="i586" version="4.76" release="3"/>
+<install channel="pkg" kind="package" name="ltrace" arch="i586" version="0.3.36" release="7"/>
+<install channel="pkg" kind="package" name="lukemftp" arch="i586" version="1.5" release="583"/>
+<install channel="pkg" kind="package" name="lvm2" arch="i586" version="2.02.01" release="4"/>
+<install channel="pkg" kind="package" name="m4" arch="i586" version="1.4.4" release="2"/>
+<install channel="pkg" kind="package" name="mailx" arch="i586" version="11.25" release="3"/>
+<install channel="pkg" kind="package" name="make" arch="i586" version="3.80" release="191"/>
+<install channel="pkg" kind="package" name="man" arch="i586" version="2.4.1" release="226"/>
+<install channel="pkg" kind="package" name="manufacturer-PPDs" arch="i586" version="0.5" release="2"/>
+<install channel="pkg" kind="package" name="mc" arch="i586" version="4.6.1" release="15"/>
+<install channel="pkg" kind="package" name="mdadm" arch="i586" version="2.2" release="9"/>
+<install channel="pkg" kind="package" name="microcode_ctl" arch="i586" version="1.13" release="2"/>
+<install channel="pkg" kind="package" name="mingetty" arch="i586" version="0.9.6s" release="78"/>
+<install channel="pkg" kind="package" name="mkinitrd" arch="i586" version="1.2" release="67"/>
+<install channel="pkg" kind="package" name="mktemp" arch="i586" version="1.5" release="734"/>
+<install channel="pkg" kind="package" name="module-init-tools" arch="i586" version="3.2.2" release="7"/>
+<install channel="pkg" kind="package" name="mtools" arch="i586" version="3.9.10" release="5"/>
+<install channel="pkg" kind="package" name="mutt" arch="i586" version="1.5.9i" release="15"/>
+<install channel="pkg" kind="package" name="ncurses" arch="i586" version="5.5" release="5"/>
+<install channel="pkg" kind="package" name="ncurses-devel" arch="i586" version="5.5" release="5"/>
+<install channel="pkg" kind="package" name="net-snmp" arch="i586" version="5.3.0.1" release="3"/>
+<install channel="pkg" kind="package" name="net-tools" arch="i586" version="1.60" release="570"/>
+<install channel="pkg" kind="package" name="netcat" arch="i586" version="1.10" release="873"/>
+<install channel="pkg" kind="package" name="nfs-utils" arch="i586" version="1.0.7" release="20"/>
+<install channel="pkg" kind="package" name="nscd" arch="i586" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="nss_ldap" arch="i586" version="246" release="2"/>
+<install channel="pkg" kind="package" name="ntfsprogs" arch="i586" version="1.11.2" release="3"/>
+<install channel="pkg" kind="package" name="openct" arch="i586" version="0.6.6" release="4"/>
+<install channel="pkg" kind="package" name="openldap2" arch="i586" version="2.3.19" release="4"/>
+<install channel="pkg" kind="package" name="openldap2-client" arch="i586" version="2.3.19" release="4"/>
+<install channel="pkg" kind="package" name="openmotif-libs" arch="i586" version="2.2.4" release="7"/>
+<install channel="pkg" kind="package" name="openslp" arch="i586" version="1.2.0" release="9"/>
+<install channel="pkg" kind="package" name="opensc" arch="i586" version="0.9.6" release="6"/>
+<install channel="pkg" kind="package" name="openslp-server" arch="i586" version="1.2.0" release="9"/>
+<install channel="pkg" kind="package" name="openssh" arch="i586" version="4.2p1" release="6"/>
+<install channel="pkg" kind="package" name="openssh-askpass" arch="i586" version="4.2p1" release="6"/>
+<install channel="pkg" kind="package" name="openssl" arch="i586" version="0.9.8a" release="7"/>
+<install channel="pkg" kind="package" name="opie" arch="i586" version="2.4" release="554"/>
+<install channel="pkg" kind="package" name="orbit2" arch="i586" version="2.12.4" release="6"/>
+<install channel="pkg" kind="package" name="pam" arch="i586" version="0.99.3.0" release="4"/>
+<install channel="pkg" kind="package" name="pam-modules" arch="i586" version="10.0.42" release="15"/>
+<install channel="pkg" kind="package" name="pam_krb5" arch="i586" version="2.2.3" release="5"/>
+<install channel="pkg" kind="package" name="pam_ldap" arch="i586" version="180" release="2"/>
+<install channel="pkg" kind="package" name="pam_smb" arch="i586" version="2.0.0rc6" release="7"/>
+<install channel="pkg" kind="package" name="pango" arch="i586" version="1.10.2" release="9"/>
+<install channel="pkg" kind="package" name="parted" arch="i586" version="1.6.25.1" release="2"/>
+<install channel="pkg" kind="package" name="patch" arch="i586" version="2.5.9" release="150"/>
+<install channel="pkg" kind="package" name="pax" arch="i586" version="3.4" release="4"/>
+<install channel="pkg" kind="package" name="pciutils" arch="i586" version="2.2.1" release="4"/>
+<install channel="pkg" kind="package" name="pcre" arch="i586" version="6.4" release="4"/>
+<install channel="pkg" kind="package" name="pcsc-lite" arch="i586" version="1.2.9_beta9" release="3"/>
+<install channel="pkg" kind="package" name="perl-Date-Calc" arch="i586" version="5.4" release="4"/>
+<install channel="pkg" kind="package" name="perl-Digest-HMAC" arch="i586" version="1.01" release="497"/>
+<install channel="pkg" kind="package" name="perl-Digest-MD4" arch="i586" version="1.5" release="3"/>
+<install channel="pkg" kind="package" name="perl-Digest-SHA1" arch="i586" version="2.10" release="5"/>
+<install channel="pkg" kind="package" name="perl-IO-stringy" arch="i586" version="2.110" release="3"/>
+<install channel="pkg" kind="package" name="perl" arch="i586" version="5.8.8" release="3"/>
+<install channel="pkg" kind="package" name="perl-Archive-Zip" arch="i586" version="1.16" release="3"/>
+<install channel="pkg" kind="package" name="perl-Bit-Vector" arch="i586" version="6.4" release="3"/>
+<install channel="pkg" kind="package" name="perl-Compress-Zlib" arch="i586" version="1.35" release="4"/>
+<install channel="pkg" kind="package" name="perl-Config-Crontab" arch="i586" version="1.11" release="2"/>
+<install channel="pkg" kind="package" name="perl-Crypt-SmbHash" arch="i586" version="0.12" release="3"/>
+<install channel="pkg" kind="package" name="perl-MIME-tools" arch="i586" version="5.419" release="2"/>
+<install channel="pkg" kind="package" name="perl-MailTools" arch="i586" version="1.67" release="3"/>
+<install channel="pkg" kind="package" name="perl-NetxAP" arch="i586" version="0.02" release="560"/>
+<install channel="pkg" kind="package" name="perl-Parse-RecDescent" arch="i586" version="1.80" release="249"/>
+<install channel="pkg" kind="package" name="perl-TermReadKey" arch="i586" version="2.30" release="3"/>
+<install channel="pkg" kind="package" name="perl-URI" arch="i586" version="1.35" release="5"/>
+<install channel="pkg" kind="package" name="perl-X500-DN" arch="i586" version="0.28" release="123"/>
+<install channel="pkg" kind="package" name="perl-XML-Parser" arch="i586" version="2.34" release="33"/>
+<install channel="pkg" kind="package" name="perl-gettext" arch="i586" version="1.05" release="3"/>
+<install channel="pkg" kind="package" name="permissions" arch="i586" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="pinentry" arch="i586" version="0.7.2" release="4"/>
+<install channel="pkg" kind="package" name="pmtools" arch="i586" version="20050823" release="12"/>
+<install channel="pkg" kind="package" name="popt" arch="i586" version="1.7" release="242"/>
+<install channel="pkg" kind="package" name="portmap" arch="i586" version="5beta" release="739"/>
+<install channel="pkg" kind="package" name="postfix" arch="i586" version="2.2.6" release="6"/>
+<install channel="pkg" kind="package" name="powersave" arch="i586" version="0.11.11" release="2"/>
+<install channel="pkg" kind="package" name="ppp" arch="i586" version="2.4.3" release="22"/>
+<install channel="pkg" kind="package" name="pptp" arch="i586" version="1.7.0" release="3"/>
+<install channel="pkg" kind="package" name="prctl" arch="i586" version="1.3" release="358"/>
+<install channel="pkg" kind="package" name="procinfo" arch="i586" version="18" release="45"/>
+<install channel="pkg" kind="package" name="procmail" arch="i586" version="3.22" release="45"/>
+<install channel="pkg" kind="package" name="procps" arch="i586" version="3.2.6" release="5"/>
+<install channel="pkg" kind="package" name="psmisc" arch="i586" version="22.1" release="4"/>
+<install channel="pkg" kind="package" name="pwdutils" arch="i586" version="3.0.7.1" release="3"/>
+<install channel="pkg" kind="package" name="qt3" arch="i586" version="3.3.5" release="29"/>
+<install channel="pkg" kind="package" name="rcs" arch="i586" version="5.7" release="868"/>
+<install channel="pkg" kind="package" name="readline" arch="i586" version="5.1" release="8"/>
+<install channel="pkg" kind="package" name="recode" arch="i586" version="3.6" release="494"/>
+<install channel="pkg" kind="package" name="reiserfs" arch="i586" version="3.6.19" release="6"/>
+<install channel="pkg" kind="package" name="release-notes-sles" arch="i586" version="10" release="9"/>
+<install channel="pkg" kind="package" name="resmgr" arch="i586" version="0.9.8_SVNr75" release="3"/>
+<install channel="pkg" kind="package" name="rpm" arch="i586" version="4.4.2" release="14"/>
+<install channel="pkg" kind="package" name="rrdtool" arch="i586" version="1.2.12" release="2"/>
+<install channel="pkg" kind="package" name="rsh" arch="i586" version="0.17" release="562"/>
+<install channel="pkg" kind="package" name="rsync" arch="i586" version="2.6.6" release="5"/>
+<install channel="pkg" kind="package" name="samba-client" arch="i586" version="3.0.21b" release="5"/>
+<install channel="pkg" kind="package" name="sash" arch="i586" version="3.7" release="36"/>
+<install channel="pkg" kind="package" name="sax2" arch="i586" version="7.1" release="80"/>
+<install channel="pkg" kind="package" name="sax2-ident" arch="i586" version="1.7" release="80"/>
+<install channel="pkg" kind="package" name="sax2-tools" arch="i586" version="2.7" release="80"/>
+<install channel="pkg" kind="package" name="slang" arch="i586" version="2.0.5" release="4"/>
+<install channel="pkg" kind="package" name="scpm" arch="i586" version="1.1.3" release="3"/>
+<install channel="pkg" kind="package" name="screen" arch="i586" version="4.0.2" release="52"/>
+<install channel="pkg" kind="package" name="scsi" arch="i586" version="1.7_2.36_1.18_0.16_0.96" release="3"/>
+<install channel="pkg" kind="package" name="sed" arch="i586" version="4.1.4" release="7"/>
+<install channel="pkg" kind="package" name="sensors" arch="i586" version="2.9.2" release="5"/>
+<install channel="pkg" kind="package" name="setserial" arch="i586" version="2.17" release="583"/>
+<install channel="pkg" kind="package" name="sles-admin_en" arch="i586" version="9.1.0.5" release="9"/>
+<install channel="pkg" kind="package" name="sles-release" arch="i586" version="9.90" release="12"/>
+<install channel="pkg" kind="package" name="smpppd" arch="i586" version="1.59" release="8"/>
+<install channel="pkg" kind="package" name="smartmontools" arch="i586" version="5.33" release="10"/>
+<install channel="pkg" kind="package" name="star" arch="i586" version="1.5a70" release="2"/>
+<install channel="pkg" kind="package" name="strace" arch="i586" version="4.5.12" release="9"/>
+<install channel="pkg" kind="package" name="sudo" arch="i586" version="1.6.8p12" release="6"/>
+<install channel="pkg" kind="package" name="unixODBC" arch="i586" version="2.2.11" release="10"/>
+<install channel="pkg" kind="package" name="sysconfig" arch="i586" version="0.50.4" release="2"/>
+<install channel="pkg" kind="package" name="syslogd" arch="i586" version="1.4.1" release="548"/>
+<install channel="pkg" kind="package" name="sysvinit" arch="i586" version="2.86" release="9"/>
+<install channel="pkg" kind="package" name="tar" arch="i586" version="1.15.1" release="10"/>
+<install channel="pkg" kind="package" name="tcl" arch="i586" version="8.4.12" release="6"/>
+<install channel="pkg" kind="package" name="tcpd" arch="i586" version="7.6" release="720"/>
+<install channel="pkg" kind="package" name="tcpdump" arch="i586" version="3.9.4" release="3"/>
+<install channel="pkg" kind="package" name="tcsh" arch="i586" version="6.14.00" release="5"/>
+<install channel="pkg" kind="package" name="telnet" arch="i586" version="1.2" release="4"/>
+<install channel="pkg" kind="package" name="terminfo" arch="i586" version="5.5" release="5"/>
+<install channel="pkg" kind="package" name="texinfo" arch="i586" version="4.8" release="12"/>
+<install channel="pkg" kind="package" name="thinkeramik" arch="i586" version="3.2.1" release="10"/>
+<install channel="pkg" kind="package" name="tightvnc" arch="i586" version="1.2.9" release="187"/>
+<install channel="pkg" kind="package" name="timezone" arch="i586" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="tk" arch="i586" version="8.4.12" release="3"/>
+<install channel="pkg" kind="package" name="udev" arch="i586" version="084" release="5"/>
+<install channel="pkg" kind="package" name="unclutter" arch="i586" version="8" release="839"/>
+<install channel="pkg" kind="package" name="unrar" arch="i586" version="3.5.4" release="5"/>
+<install channel="pkg" kind="package" name="unzip" arch="i586" version="5.52" release="6"/>
+<install channel="pkg" kind="package" name="usbutils" arch="i586" version="0.71" release="10"/>
+<install channel="pkg" kind="package" name="utempter" arch="i586" version="0.5.5" release="6"/>
+<install channel="pkg" kind="package" name="util-linux" arch="i586" version="2.12r" release="10"/>
+<install channel="pkg" kind="package" name="vim" arch="i586" version="6.4.6" release="6"/>
+<install channel="pkg" kind="package" name="vacation" arch="i586" version="1.2.6.1" release="140"/>
+<install channel="pkg" kind="package" name="vlan" arch="i586" version="1.8" release="29"/>
+<install channel="pkg" kind="package" name="vsftpd" arch="i586" version="2.0.4" release="4"/>
+<install channel="pkg" kind="package" name="w3m" arch="i586" version="0.5.1" release="7"/>
+<install channel="pkg" kind="package" name="wget" arch="i586" version="1.10.2" release="4"/>
+<install channel="pkg" kind="package" name="wireless-tools" arch="i586" version="28pre13" release="11"/>
+<install channel="pkg" kind="package" name="wol" arch="i586" version="0.7.1" release="5"/>
+<install channel="pkg" kind="package" name="wvdial" arch="i586" version="1.54" release="71"/>
+<install channel="pkg" kind="package" name="wvstreams" arch="i586" version="4.2.1" release="2"/>
+<install channel="pkg" kind="package" name="x11-tools" arch="i586" version="0.1" release="25"/>
+<install channel="pkg" kind="package" name="xaw3d" arch="i586" version="1.5E" release="228"/>
+<install channel="pkg" kind="package" name="xbanner" arch="i586" version="1.31" release="862"/>
+<install channel="pkg" kind="package" name="xdg-menu" arch="i586" version="0.2" release="55"/>
+<install channel="pkg" kind="package" name="xdmbgrd" arch="i586" version="0.5" release="33"/>
+<install channel="pkg" kind="package" name="xfsprogs" arch="i586" version="2.7.11" release="5"/>
+<install channel="pkg" kind="package" name="xinetd" arch="i586" version="2.3.14" release="4"/>
+<install channel="pkg" kind="package" name="xlockmore" arch="i586" version="5.21" release="2"/>
+<install channel="pkg" kind="package" name="xntp" arch="i586" version="4.2.0a" release="58"/>
+<install channel="pkg" kind="package" name="xntp-doc" arch="i586" version="4.2.0a" release="58"/>
+<install channel="pkg" kind="package" name="xorg-x11-Xvnc" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-devel" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-fonts-75dpi" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-fonts-scalable" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-libs" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-man" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xorg-x11-server" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xpp" arch="i586" version="1.5" release="9"/>
+<install channel="pkg" kind="package" name="xorg-x11-server-glx" arch="i586" version="6.9.0" release="12"/>
+<install channel="pkg" kind="package" name="xscreensaver" arch="i586" version="4.23" release="4"/>
+<install channel="pkg" kind="package" name="xtermset" arch="i586" version="0.5.2" release="124"/>
+<install channel="pkg" kind="package" name="yast2" arch="i586" version="2.13.29" release="2"/>
+<install channel="pkg" kind="package" name="yast2-bootloader" arch="i586" version="2.13.13" release="2"/>
+<install channel="pkg" kind="package" name="yast2-core" arch="i586" version="2.13.17" release="2"/>
+<install channel="pkg" kind="package" name="yast2-control-center" arch="i586" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-country" arch="i586" version="2.13.13" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ldap" arch="i586" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-mouse" arch="i586" version="2.13.7" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ncurses" arch="i586" version="2.13.6" release="2"/>
+<install channel="pkg" kind="package" name="yast2-network" arch="i586" version="2.13.24" release="2"/>
+<install channel="pkg" kind="package" name="yast2-nis-client" arch="i586" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-online-update" arch="i586" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-packager" arch="i586" version="2.13.25" release="2"/>
+<install channel="pkg" kind="package" name="yast2-perl-bindings" arch="i586" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-power-management" arch="i586" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-printer" arch="i586" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-profile-manager" arch="i586" version="2.13.3" release="2"/>
+<install channel="pkg" kind="package" name="yast2-qt" arch="i586" version="2.13.13" release="4"/>
+<install channel="pkg" kind="package" name="yast2-slp" arch="i586" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-sound" arch="i586" version="2.13.7" release="2"/>
+<install channel="pkg" kind="package" name="yast2-storage" arch="i586" version="2.13.25" release="2"/>
+<install channel="pkg" kind="package" name="yast2-xml" arch="i586" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-transfer" arch="i586" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-tune" arch="i586" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-update" arch="i586" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-users" arch="i586" version="2.13.12" release="2"/>
+<install channel="pkg" kind="package" name="yast2-you-server" arch="i586" version="2.13.3" release="2"/>
+<install channel="pkg" kind="package" name="yp-tools" arch="i586" version="2.9" release="6"/>
+<install channel="pkg" kind="package" name="ypbind" arch="i586" version="1.19.1" release="3"/>
+<install channel="pkg" kind="package" name="zip" arch="i586" version="2.31" release="5"/>
+<install channel="pkg" kind="package" name="ypserv" arch="i586" version="2.19" release="2"/>
+<install channel="pkg" kind="package" name="zisofs-tools" arch="i586" version="1.0.6" release="5"/>
+<install channel="pkg" kind="package" name="zlib" arch="i586" version="1.2.3" release="5"/>
+<install channel="pkg" kind="package" name="zlib-devel" arch="i586" version="1.2.3" release="5"/>
+<install channel="pkg" kind="package" name="db-devel" arch="i686" version="4.3.29" release="5"/>
+<install channel="pkg" kind="package" name="zsh" arch="i586" version="4.2.6" release="5"/>
+<install channel="pkg" kind="package" name="db" arch="i686" version="4.3.29" release="5"/>
+<install channel="pkg" kind="package" name="glibc-devel" arch="i686" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="glibc" arch="i686" version="2.3.90" release="65"/>
+<install channel="pkg" kind="package" name="SPident" arch="noarch" version="0.9" release="63"/>
+<install channel="pkg" kind="package" name="Crystalcursors" arch="noarch" version="0.5" release="28"/>
+<install channel="pkg" kind="package" name="SuSEfirewall2" arch="noarch" version="3.4_SVNr135" release="3"/>
+<install channel="pkg" kind="package" name="autoyast2" arch="noarch" version="2.13.19" release="2"/>
+<install channel="pkg" kind="package" name="autoyast2-installation" arch="noarch" version="2.13.19" release="2"/>
+<install channel="pkg" kind="package" name="bitstream-vera" arch="noarch" version="1.10" release="170"/>
+<install channel="pkg" kind="package" name="efont-unicode" arch="noarch" version="0.4.2" release="8"/>
+<install channel="pkg" kind="package" name="gnome-icon-theme" arch="noarch" version="2.12.1" release="6"/>
+<install channel="pkg" kind="package" name="howtoenh" arch="noarch" version="2006.1.12" release="1"/>
+<install channel="pkg" kind="package" name="ifnteuro" arch="noarch" version="1.2.1" release="197"/>
+<install channel="pkg" kind="package" name="info2html" arch="noarch" version="1.4" release="5"/>
+<install channel="pkg" kind="package" name="intlfnts" arch="noarch" version="1.2.1" release="197"/>
+<install channel="pkg" kind="package" name="latex2html-pngicons" arch="noarch" version="2002.2.1" release="368"/>
+<install channel="pkg" kind="package" name="makedev" arch="noarch" version="2.6" release="410"/>
+<install channel="pkg" kind="package" name="man-pages" arch="noarch" version="2.20" release="2"/>
+<install channel="pkg" kind="package" name="netcfg" arch="noarch" version="10.0.42" release="2"/>
+<install channel="pkg" kind="package" name="providers" arch="noarch" version="2006.1.25" release="1"/>
+<install channel="pkg" kind="package" name="siga" arch="noarch" version="10.101" release="2"/>
+<install channel="pkg" kind="package" name="sitar" arch="noarch" version="1.0.2" release="2"/>
+<install channel="pkg" kind="package" name="suse-build-key" arch="noarch" version="1.0" release="671"/>
+<install channel="pkg" kind="package" name="susehelp" arch="noarch" version="2006.02.07" release="3"/>
+<install channel="pkg" kind="package" name="susehelp_en" arch="noarch" version="2006.02.07" release="3"/>
+<install channel="pkg" kind="package" name="words" arch="noarch" version="6" release="8"/>
+<install channel="pkg" kind="package" name="yast2-backup" arch="noarch" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-boot-server" arch="noarch" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ca-management" arch="noarch" version="2.13.13" release="2"/>
+<install channel="pkg" kind="package" name="yast2-cd-creator" arch="noarch" version="2.12.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-dhcp-server" arch="noarch" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-dns-server" arch="noarch" version="2.13.6" release="2"/>
+<install channel="pkg" kind="package" name="yast2-firewall" arch="noarch" version="2.13.5" release="2"/>
+<install channel="pkg" kind="package" name="yast2-heartbeat" arch="noarch" version="2.13.3" release="2"/>
+<install channel="pkg" kind="package" name="yast2-http-server" arch="noarch" version="2.13.7" release="2"/>
+<install channel="pkg" kind="package" name="yast2-inetd" arch="noarch" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-installation" arch="noarch" version="2.13.15" release="2"/>
+<install channel="pkg" kind="package" name="yast2-instserver" arch="noarch" version="2.13.6" release="2"/>
+<install channel="pkg" kind="package" name="yast2-kerberos-client" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ldap-client" arch="noarch" version="2.13.8" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ldap-server" arch="noarch" version="2.13.7" release="2"/>
+<install channel="pkg" kind="package" name="yast2-mail" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-mail-aliases" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-nfs-client" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-nfs-server" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-nis-server" arch="noarch" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-pam" arch="noarch" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-ntp-client" arch="noarch" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-powertweak" arch="noarch" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-repair" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-restore" arch="noarch" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-runlevel" arch="noarch" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-samba-client" arch="noarch" version="2.13.5" release="2"/>
+<install channel="pkg" kind="package" name="yast2-samba-server" arch="noarch" version="2.13.5" release="2"/>
+<install channel="pkg" kind="package" name="yast2-support" arch="noarch" version="2.13.0" release="2"/>
+<install channel="pkg" kind="package" name="yast2-security" arch="noarch" version="2.13.1" release="2"/>
+<install channel="pkg" kind="package" name="yast2-sysconfig" arch="noarch" version="2.13.4" release="2"/>
+<install channel="pkg" kind="package" name="yast2-tftp-server" arch="noarch" version="2.13.2" release="2"/>
+<install channel="pkg" kind="package" name="yast2-theme-SuSELinux" arch="noarch" version="2.13.3" release="2"/>
+<install channel="pkg" kind="package" name="yast2-trans-en_US" arch="noarch" version="2.12.1" release="3"/>
+<install channel="pkg" kind="package" name="yast2-x11" arch="noarch" version="2.13.6" release="18"/>
+<uninstall  kind="package" name="libgtkhtml"/>
+<uninstall  kind="package" name="acroread"/>
+<uninstall  kind="package" name="XFree86"/>
+<uninstall  kind="package" name="linc"/>
+<uninstall  kind="package" name="hotplugctl"/>
+<uninstall  kind="package" name="heimdal-tools"/>
+<uninstall  kind="package" name="core-release"/>
+<uninstall  kind="package" name="XFree86-fonts-scalable"/>
+<uninstall  kind="package" name="hotplug"/>
+<uninstall  kind="package" name="saxtools"/>
+<uninstall  kind="package" name="XFree86-libs"/>
+<uninstall  kind="package" name="kdebase3-SLES"/>
+<uninstall  kind="package" name="cryptplug"/>
+<uninstall  kind="package" name="newpg"/>
+<uninstall  kind="package" name="perl-OPENSSL"/>
+<uninstall  kind="package" name="yast2-uml"/>
+<uninstall  kind="package" name="yast2-phone-services"/>
+<uninstall  kind="package" name="flac-xmms"/>
+<uninstall  kind="package" name="IBMJava2-JRE"/>
+<uninstall  kind="package" name="desktop-data-SLES"/>
+<uninstall  kind="package" name="xmms"/>
+<uninstall  kind="package" name="imwheel"/>
+<uninstall  kind="package" name="xf86tools"/>
+<uninstall  kind="package" name="gnokii"/>
+<uninstall  kind="package" name="heimdal"/>
+<uninstall  kind="package" name="gcc-g77"/>
+<uninstall  kind="package" name="heimdal-lib"/>
+<uninstall  kind="package" name="libungif"/>
+<uninstall  kind="package" name="XFree86-Mesa"/>
+<uninstall  kind="package" name="XFree86-Xvnc"/>
+<uninstall  kind="package" name="submount"/>
+<uninstall  kind="package" name="libselinux"/>
+<uninstall  kind="package" name="mad"/>
+<uninstall  kind="package" name="XFree86-server"/>
+<uninstall  kind="package" name="XFree86-server-glx"/>
+<uninstall  kind="package" name="schedutils"/>
+<uninstall  kind="package" name="XFree86-man"/>
+<uninstall  kind="package" name="XFree86-fonts-75dpi"/>
+<uninstall  kind="package" name="saxident"/>
+<uninstall  kind="package" name="XFree86-devel"/>
+<uninstall  kind="package" name="yast2-ipsec"/>
+<uninstall  kind="package" name="raidtools"/>
+<uninstall  kind="package" name="yast2-packagemanager"/>
+<uninstall  kind="package" name="release-notes"/>
+<uninstall  kind="package" name="pdksh"/>
+<uninstall  kind="package" name="compat-libstdc++-lsb"/>
   <reportproblems/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-conflicting-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,6 @@
   <channel name="upgrade" file="conflicting-multiple-rename-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <install channel="upgrade" kind="package" name="A2" arch="noarch" version="2.0" release="1"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-multiple-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,6 @@
   <channel name="upgrade" file="multiple-rename-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <install channel="upgrade" kind="package" name="A2" arch="noarch" version="2.0" release="1"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-single-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-single-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-single-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-single-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,7 @@
   <channel name="upgrade" file="single-rename-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+<install channel="upgrade" kind="package" name="A_new" arch="noarch" version="2.0" release="1"/>
+<uninstall  kind="package" name="A"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-version-cap-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-version-cap-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-version-cap-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/rename-version-cap-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,9 @@
   <channel name="upgrade" file="version-rename-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+<install channel="upgrade" kind="package" name="A_new" arch="noarch" version="2.0" release="1"/>
+<install channel="upgrade" kind="package" name="B_new" arch="noarch" version="2.0" release="1"/>
+<uninstall  kind="package" name="A"/>
+<uninstall  kind="package" name="B"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-single-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-single-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-single-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-single-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,6 @@
   <channel name="upgrade" file="single-other-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <uninstall  kind="package" name="A"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-multiple-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-multiple-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-multiple-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-multiple-test.xml Fri Oct 19 11:11:30 2007
@@ -9,6 +9,6 @@
   <channel name="upgrade2" file="single-v3-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <install channel="upgrade2" kind="package" name="A" arch="noarch" version="2.0" release="2"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-single-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-single-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-single-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/upgrade-single-test.xml Fri Oct 19 11:11:30 2007
@@ -8,6 +8,6 @@
   <channel name="upgrade" file="single-v2-package.xml"/>
 </setup>
 <trial>
-  <distupgrade/>
+  <install channel="upgrade" kind="package" name="A" arch="noarch" version="2.0" release="1"/>
 </trial>
 </test>

Modified: trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-06upgrade-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-06upgrade-test.xml?rev=7562&r1=7561&r2=7562&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-06upgrade-test.xml (original)
+++ trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-06upgrade-test.xml Fri Oct 19 11:11:30 2007
@@ -7,7 +7,23 @@
 
 <trial>
   <subscribe channel="test"/>
-  <distupgrade/>
+<install channel="test" kind="package" name="p4" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p4a" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p8" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p8a" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p5" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p6" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p2" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p3" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p9" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p10new2" arch="noarch" version="2.0" release="1"/>
+<install channel="test" kind="package" name="p11new2" arch="noarch" version="2.0" release="1"/>
+<uninstall  kind="package" name="p5a"/>
+<uninstall  kind="package" name="p5b"/>
+<uninstall  kind="package" name="p7"/>
+<uninstall  kind="package" name="p10"/>
+<uninstall  kind="package" name="p10a"/>
+<uninstall  kind="package" name="p11a"/>
 </trial>
 
 </test>

--
To unsubscribe, e-mail: zypp-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages